

toplevel .net 
wm title .net "cmplayer"
wm withdraw .net
wm minsize .net 0 0

label .net.title -text "Network Information" -anchor c
frame .net.sep -bd 1 -relief sunken -height 2
scale .net.bw -from 0 -to 300 -orient horiz -command {SetBW } -label "Max. Bandwidth     (Kbytes/sec)" -length 280
scale .net.fps -from 0 -to 30 -orient horiz -command {SetFPS } -label "Max. Frame Rate    (frames/sec)"
scale .net.sendAhead -from 0 -to 3.0 -orient horiz -resolution .1 -command {SetSA } -label "Send Ahead           (secs)"
scale .net.cycleTime -from 0 -to 3.0 -orient horiz -resolution .1 -command {SetCT } -label "Cycle Time             (secs)"

frame .net.info -relief groove -bd 2
label .net.info.bw -text "Bandwidth = "
label .net.info.fps -text "FPS = "

pack .net.info.fps .net.info.bw -side left -padx 3 -pady 3 -expand yes -fill both

button .net.dismiss -text "Dismiss" -command {wm withdraw .net} -pady 2

pack .net.dismiss -side bottom -expand yes -pady 10 -padx 10 -fill x
pack .net.title .net.sep .net.bw .net.fps .net.sendAhead .net.cycleTime .net.info -side top -expand yes -fill x -pady 3 -padx 10

.net.bw set        [expr $Prefs(maxBW)/1000]
.net.fps set       $Prefs(maxFPS)
.net.sendAhead set $Prefs(sendAhead)
.net.cycleTime set $Prefs(cycleTime)

proc SetBW {bw} {
    global Prefs

    set Prefs(maxBW) [expr $bw * 1000];

    foreach obj [GetObjs pktSrc] {
	$obj config -maxBW $Prefs(maxBW);
	CMApp_Debug cmplayer "$obj->maxBW := $Prefs(maxBW)"
    }
}

proc SetFPS {fps} {
    global Prefs

    set Prefs(maxFPS) $fps

    foreach obj [GetObjs video file] {
	$obj config -maxFrameRate $fps;
	$obj ready;
	CMApp_Debug cmplayer "$obj->maxFrameRate := $fps"
    }
}

proc SetSA {sendAhead} {
    global Prefs

    set Prefs(sendAhead) $sendAhead

    foreach obj [GetObjs file] {
	$obj config -sendAhead $sendAhead;
	$obj ready;
	CMApp_Debug cmplayer "$obj->sendAhead := $sendAhead"
    }
}

proc SetCT {cycleTime} {
    global Prefs

    set Prefs(cycleTime) $cycleTime

    foreach obj [GetObjs file] {
	$obj config -cycleTime $cycleTime;
	$obj ready;
	CMApp_Debug cmplayer "$obj->cycleTime := $cycleTime"
    }
}
