proc SetColorScheme {scheme} {
    global Scheme

    if { $scheme == "gray"} {
#	set Scheme(bg)           lightgray
	set Scheme(bg)           #bfbfbfbfbfbf
	set Scheme(fg)           black

	set Scheme(dark1_bg)     gray70
	set Scheme(dark1_fg)     black
	set Scheme(dark2_bg)     gray50
	set Scheme(dark2_fg)     black

	set Scheme(light1_bg)    gray90
	set Scheme(light1_fg)    white
	set Scheme(light2_bg)    gray95
	set Scheme(light2_fg)    white

	set Scheme(active_bg)    $Scheme(dark1_bg)
	set Scheme(active_fg)    $Scheme(fg)
	set Scheme(disabled_fg)  gray55

	set Scheme(input1_bg)    $Scheme(dark1_bg)
	set Scheme(input2_bg)    $Scheme(bg)
	set Scheme(output1_bg)   $Scheme(dark1_bg)
	set Scheme(output2_bg)   $Scheme(bg)
	
	set Scheme(select_fg)    black
	set Scheme(select_bg)    skyblue2
	
	set Scheme(selector)	 blue3
    }
    if { $scheme == "Tk" } {
	set Scheme(bg)           bisque1
	set Scheme(fg)           black

	set Scheme(dark1_bg)     bisque3
	set Scheme(dark1_fg)     black
	set Scheme(dark2_bg)     bisque4
	set Scheme(dark2_fg)     black

	set Scheme(light1_bg)    bisque1
	set Scheme(light1_fg)    white
	set Scheme(light2_bg)    bisque1
	set Scheme(light2_fg)    white

	set Scheme(active_bg)    $Scheme(dark1_bg)
	set Scheme(active_fg)    $Scheme(fg)
	set Scheme(disabled_fg)  gray55

	set Scheme(input1_bg)    bisque2
	set Scheme(input2_bg)    bisque2
	set Scheme(output1_bg)   $Scheme(dark1_bg)
	set Scheme(output2_bg)   $Scheme(bg)

	set Scheme(select_fg)    black
	set Scheme(select_bg)    lightblue

	set Scheme(selector)	 #b03060
    }
}

proc SetFontSet {fontset} {

    global Scheme

    if {$fontset == "20Point" } {
	set Scheme(font)        -*-helvetica-medium-r-normal-*-20-*-*-*-*-*-*-*
	set Scheme(bold_font)    -*-helvetica-medium-r-normal-*-20-*-*-*-*-*-*-*
	set Scheme(menu_font)    -*-helvetica-medium-o-normal-*-20-*-*-*-*-*-*-*
	set Scheme(italic_font)  -*-helvetica-medium-o-normal-*-20-*-*-*-*-*-*-*
	set Scheme(courier_font) -*-courier-medium-r-*-*-20-*-*-*-*-*-*-*
	set Scheme(border1)      2
    }

    if {$fontset == "14Point" } {
	set Scheme(font)        -*-helvetica-medium-r-normal-*-14-*-*-*-*-*-*-*
	set Scheme(bold_font)    -*-helvetica-bold-r-normal-*-14-*-*-*-*-*-*-*
	set Scheme(menu_font)    -*-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
	set Scheme(italic_font)  -*-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
	set Scheme(courier_font) -*-courier-medium-r-*-*-14-*-*-*-*-*-*-*
	set Scheme(border1)      2
    }
    
    if {$fontset == "12Point"} {
	set Scheme(font)        -*-helvetica-medium-r-normal-*-12-*-*-*-*-*-*-*
	set Scheme(bold_font)    -*-helvetica-bold-r-normal-*-12-*-*-*-*-*-*-*
	set Scheme(menu_font)    -*-helvetica-bold-o-normal-*-12-*-*-*-*-*-*-*
	set Scheme(italic_font)  -*-helvetica-bold-o-normal-*-12-*-*-*-*-*-*-*
	set Scheme(courier_font) -*-courier-medium-r-*-*-12-*-*-*-*-*-*-*
	set Scheme(border1)      2
    }

    if {$fontset == "Tk"} {
	set Scheme(font)        -*-helvetica-medium-r-normal-*-14-*-*-*-*-*-*-*
	set Scheme(bold_font)    -*-helvetica-bold-r-normal-*-14-*-*-*-*-*-*-*
	set Scheme(menu_font)    -*-helvetica-bold-r-normal-*-14-*-*-*-*-*-*-*
	set Scheme(italic_font) -*-helvetica-medium-o-normal-*-14-*-*-*-*-*-*-*
	set Scheme(courier_font) -*-courier-medium-r-*-*-14-*-*-*-*-*-*-*
	set Scheme(border1)      2
    }
}


proc InitFontScheme {} {
    global Scheme
    
    option add *Font		$Scheme(font)		userDefault
    option add *font		$Scheme(font)		userDefault
    option add *Label.font        	$Scheme(bold_font)	userDefault
    option add *Menu*font		$Scheme(menu_font)	userDefault
    option add *Menubutton*font		$Scheme(menu_font)	userDefault
    option add *Scale.font		$Scheme(italic_font)	userDefault
    option add *listboxFont		$Scheme(font)		userDefault
    option add *entryFont	       	$Scheme(font)		userDefault
}

proc InitScheme {} {

global Scheme

. conf -bg $Scheme(bg)

# general stuff, everything gets these defaults unless otherwise specified
#-------------------------------------------------------------------------
option add *Font		$Scheme(font)		userDefault
option add *Background		$Scheme(bg)	        userDefault
option add *Foreground		$Scheme(fg)		userDefault
option add *font		$Scheme(font)		userDefault
option add *background		$Scheme(bg)		userDefault
option add *highlightBackground	$Scheme(bg)		userDefault
option add *foreground		$Scheme(fg)		userDefault
option add *activeBackground	$Scheme(active_bg)	userDefault
option add *activeForeground	$Scheme(active_fg) 	userDefault
option add *disabledForeground	$Scheme(disabled_fg)	userDefault
option add *anchor		w 			userDefault
option add *selectBackground	$Scheme(select_bg)	userDefault
option add *selectForeground	$Scheme(select_fg)	userDefault
option add *selectBorderWidth	1			userDefault

# buttons
#--------
option add  *Button.borderWidth	$Scheme(border1) 	userDefault
option add  *Button.anchor	c 			userDefault

# check buttons
#--------------
option add *Checkbutton.selectColor	$Scheme(selector)	userDefault
option add *Checkbutton.borderWidth	$Scheme(border1) 	userDefault

# radio buttons
#--------------
option add *Radiobutton.selectColor	$Scheme(selector)	userDefault
option add *Radiobutton.borderWidth	$Scheme(border1) 	userDefault

# entries
#--------
option add *Entry.relief		sunken			 userDefault
option add *Entry.background		$Scheme(input1_bg)	 userDefault
option add *Entry.foreground		black			 userDefault
option add *Entry.insertBackground	black			 userDefault

# canvas
#-------

# frame
#------

# labels
#-------
option add *Label.anchor		w			userDefault
option add *Label.borderWidth		0			userDefault
option add *Label.font                  $Scheme(bold_font)	userDefault

# listboxes
#---------
option add *Listbox.background		$Scheme(dark1_bg)	userDefault
option add *Listbox.relief		sunken 			userDefault
 
# menus
#------
option add *Menu*font			$Scheme(menu_font)	userDefault
option add *Menu*selectColor		$Scheme(selector)	userDefault
 
# menus buttons
#--------------
option add *Menubutton*font		$Scheme(menu_font)	userDefault

# scales
#-------
option add *Scale.foreground		$Scheme(fg)		userDefault
option add *Scale.activeForeground	$Scheme(bg)		userDefault
option add *Scale.background		$Scheme(bg)		userDefault
option add *Scale.sliderForeground	$Scheme(bg)		userDefault
option add *Scale.sliderBackground	$Scheme(dark1_bg)	userDefault
option add *Scale.font			$Scheme(italic_font)	userDefault
 
# scrollbars
option add *Scrollbar.foreground	$Scheme(bg)		userDefault
option add *Scrollbar.activeForeground	$Scheme(bg) 		userDefault
option add *Scrollbar.background	$Scheme(dark1_bg) 	userDefault
option add *Scrollbar.relief		sunken 			userDefault

# texts
option add *Text.background		$Scheme(input1_bg)	userDefault
option add *Text.relief			sunken			userDefault
option add *Text.borderWidth		$Scheme(border1)	userDefault

# GENERAL
option add *listboxBg			$Scheme(dark1_bg)	userDefault
option add *listboxFont			$Scheme(font)		userDefault
option add *entryBg			$Scheme(input1_bg)	userDefault
option add *entryFont			$Scheme(font)		userDefault
option add *buttonBg			$Scheme(bg)		userDefault
option add *scrollbarFg			$Scheme(bg)		userDefault
option add *scrollbarBg			$Scheme(dark1_bg) 	userDefault

}


