set vwPlayers("") {};			# List of players attached to a vw
set objBindings("") {};			# bindings for video players
set vwID 0;				# next video windo id
set vwList {};				# list of video windows

set vwPlayers(.) {};			# Initialize main player
lappend vwList ".";
bind .screen <Expose> "VidWin_CallBack expose ."
bind .screen <Configure> "VidWin_CallBack configure . %w %h"
set currentVW .screen

proc GetVideoWin {track} {
    global vwID vwList;
    
    if {$track > $vwID} {
	return [VidWin_Create];
    } else {
	return [lindex $vwList $track];
    }
}

proc VidWin_CallBack {event vw args} {
    global objBindings vwPlayers
    
    foreach obj $vwPlayers($vw) {
	foreach command $objBindings($obj,$event) {
	    eval $command;
	}
    }
}

proc VidWin_Create {} {
    global vwID vwList vwPlayers currentVW
    incr vwID

    global tcl_msWindows
    if {$tcl_msWindows} {
	set geom_offset +30+30
    } else {
	set geom_offset ""
    }

    set vw .vw$vwID;
    toplevel $vw
    pack propagate $vw 0
    wm title    $vw "Video $vwID"
    wm geometry $vw 380x280$geom_offset
    wm minsize  $vw 0 0

    set vlist [winfo visualsavailable $vw];
    if {[lsearch $vlist "truecolor 24"] != -1} {
	frame $vw.screen -visual truecolor -bg black -width 200 -height 150
    } else {
	frame $vw.screen -bg black -width 200 -height 150	
    }

    pack $vw.screen -expand yes -fill both -in $vw

    bind $vw.screen <Expose> "VidWin_CallBack expose $vw"
    bind $vw.screen <Configure> "VidWin_CallBack configure $vw %w %h"
   
    set vwPlayers($vw) {}
    lappend vwList $vw

    set currentVW $vw.screen
    return $vw
}

proc VidWin_AddPlayer {vw obj} {
    global objBindings vwPlayers
    
    update;
    if {$vw == "."} {
	$obj config -xid [winfo id .screen]
    } else {
	$obj config -xid [winfo id $vw.screen]
    }

    set list $vwPlayers($vw)
    lappend list $obj
    set vwPlayers($vw) $list;

    set objBindings($obj,expose) [list {$obj refresh} {update}]
    set objBindings($obj,configure) [list \
				     {$obj config -width [lindex $args 0]}  \
				     {$obj config -height [lindex $args 1]}  \
				     {update}                                \
				     {$obj ready}                            \
				     {$obj refresh}                          \
				     {update} ];

}

proc VidWin_DelPlayer {vw obj} {
    global objBindings vwPlayers

    set list $vwPlayers($vw)
    set idx [lsearch $list $obj]
    if {$idx != -1} {
	set list [lreplace $list $idx $idx]
    }
    set vwPlayers($vw) $list;
}
