# Generated automatically from Makefile.in by configure.
#
# This file is a Makefile for Tcl-DP.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =	/usr/local
exec_prefix =	${prefix}

#---------------------------------------------------------------------------
# This info is modified by the top level configure to create the Makefile.in
# that then gets passed through the configure at this level
#---------------------------------------------------------------------------

# Directory in which to install the library of Tcl-DP scripts and demos
# (note: you can set the DP_LIBRARY environment variable at run-time to
# override the compiled-in location):
DP_LIBRARY =	$(prefix)/lib/dp

# Directory in which to install the archive libdpnetwork.a:
LIB_DIR =	$(exec_prefix)/lib

# Directory in which to install the program cmwish:
BIN_DIR =	/usr/bin

# Directory in which to install the include file dp.h:
INCLUDE_DIR =	$(prefix)/include

# Top-level directory for manual entries:
MAN_DIR =	$(prefix)/man

# Directory in which to install manual entry for dpwish
MAN1_DIR =	$(MAN_DIR)/man1

# Directory in which to install manual entries for Tcl-DP's C library
# procedures:
MAN3_DIR =	$(MAN_DIR)/man3

# Directory in which to install manual entries for the built-in
# Tcl commands implemented by Tcl-DP:
MANN_DIR =	$(MAN_DIR)/mann

# The directory containing the Tcl sources and headers appropriate
# for this version of Tcl-DP ("." will be replaced or has already
# been replaced by the configure script):
TCL_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl

# The directory containing the Tk sources and headers appropriate
# for this version of Tcl-DP ("." will be replaced or has already
# been replaced by the configure script):
TK_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tkx

# The directory containing the Tcl library archive file appropriate
# for this version of Tcl-DP:
# TCL_BIN_DIR =	../tcl
#TCL_BIN_DIR =	$(LIB_DIR)
TCL_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl

# The directory containing the Tcl library archive file appropriate
# for this version of Tcl-DP:
TK_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tkx

# A "-I" switch that can be used when compiling to make all of the
# X11 include files accessible (the configure script will try to
# set this value, and will cause it to be an empty string if the
# include files are accessible via /usr/include).
X11_INCLUDES =  # no special path needed

# Linker switch(es) to use to link with the X11 library archive (the
# configure script will try to set this value automatically, but you
# can override it).
X11_LIB_DIR =	
X11_LIB = 	-lX11
XEXT_LIB = 	-lXext

# Libraries to use when linking:  must include at least Tcl-DP, Tk, Tcl,
# Xlib, and the math library (in that order).  The " -lsocket -lnsl -ldl -lm" part will be
# replaced (or has already been replaced) with relevant libraries as
# determined by the configure script.
# Note: On Solaris, the Parallax library has to be after -lXext or things
# won't work properly
PARALLAX_LIB = 
XNETLIBS = $(X11_LIB_DIR) $(XEXT_LIB) $(PARALLAX_LIB) $(X11_LIB)  -lsocket -lnsl -ldl -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = -O

# Under HP/UX, reverse the comment characters on the following lines
# to enable the ansi HP compiler
#HP_ANSI_FLAGS = -Aa -D_HPUX_SOURCE
HP_ANSI_FLAGS =

# To disable ANSI-C procedure prototypes reverse the comment characters
# on the following lines:
PROTO_FLAGS =
#PROTO_FLAGS = -DNO_PROTOTYPE

# To enable memory debugging reverse the comment characters on the following
# lines.  Warning:  if you enable memory debugging, you must do it
# *everywhere*, including all the code that calls Tcl, and you must use
# ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
#MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

# Multi-architecture support
DIRMADE=	$(ARCH)/dir.made
MKDIR=		mkdir
ECHO=		echo

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

CC =			cc -belf
AC_FLAGS =		 -DTCM_PRIORITY=1 -DSECURE_CMT=1 -DHAVE_FCNTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MEMORY_H=1 -DHAVE_ERRNO_H=1 -DHAVE_LIMITS_H=1 -DUNIX_SOCKET=1 -DHAVE_TOLOWER=1 -DHAVE_NTOHL=1 -DHAVE_HTONL=1 -DNO_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -DHAVE_SHARED_MEMORY=1 -DTK_FILE_COUNT=__cnt -DTK_FILE_COUNT=__cnt -DAF_DEFAULT=1 -DJPEG_SW=1 -DJPEG_SW_DEFAULT=1 -DMPEG_SW_DEVICE=1 -DMPEG_SW_DEFAULT=1 -DH261_SW=1 
INSTALL =		/usr/bin/X11/scoinst -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
RANLIB =		ranlib
ARCH =			sco
CONFIG_STATUS =		/x/FreeWare/X11/cmt-3.0b3/config.status.sco
MAKEFILE_ARCH = 	Makefile.sco
SRC_DIR =		.

#####################################################################
#
# The following information is set by the configuration file
#
COPTS= -O
SPARC_AU_LIB= 
IRIX_AU_LIB= 
AF_LIB= 
AUDIO_LIBS= $(SPARC_AU_LIB) $(AF_LIB) $(IRIX_AU_LIB)

MME_LIB = 
XIL_LIB = 
COSMO_LIB = 
VIDEO_LIBS= $(MME_LIB) $(XIL_LIB) $(COSMO_LIB)

LIB_DIR=.

#####################################################################
#
# This stuff is standard (it just combines the configuration options)
#

LIBS= $(AUDIO_LIBS) $(VIDEO_LIBS) $(XNETLIBS) 
#LIBS= $(AUDIO_LIBS) $(VIDEO_LIBS) $(XNETLIBS)

VQ_LIBS =    

#CM_DEPLIBS = /x/FreeWare/X11/cmt-3.0b3/lib/cm/$(ARCH)/libcm.so \
#	  /x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH)/libdpnetwork.so \
#	  /x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH)/libtk.so \
#	  /x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH)/libtcl.so
#CM_LIBS = -L/x/FreeWare/X11/cmt-3.0b3/lib/cm/$(ARCH) -R/x/FreeWare/X11/cmt-3.0b3/lib/cm/$(ARCH) -lcm \
#	  -L/x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH) -R/x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH) -ldpnetwork \
#	  -R/x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH) /x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH)/libtk.so \
#	  -R/x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH) /x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH)/libtcl.so

CM_DEPLIBS = /x/FreeWare/X11/cmt-3.0b3/lib/cm/$(ARCH)/libcm.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH)/libdpnetwork.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH)/libtk.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH)/libtcl.a 
CM_LIBS	= /x/FreeWare/X11/cmt-3.0b3/lib/cm/$(ARCH)/libcm.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH)/libdpnetwork.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH)/libtk.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH)/libtcl.a 

INC=-I$(TCL_DIR) -I$(TK_DIR) $(X11_INCLUDES)
CC_SWITCHES= $(COPTS) $(INC) $(AC_FLAGS)
# GCC use below
LFLAGS= -L$(LIB_DIR)
#LFLAGS= -L$(LIB_DIR) -static
#LFLAGS= $(LIB_DIR) -Bstatic

PURE = purify
PUREFLAGS = -cache-dir=/tmp/purify

all: $(MAKEFILE_ARCH) $(ARCH)/cmwish

ALL_OBJS = $(ARCH)/tkMain.o $(ARCH)/edInit.o $(ARCH)/edClip.o \
	$(ARCH)/general.o $(ARCH)/darray.o $(ARCH)/edMovie.o \
	$(ARCH)/edStream.o $(ARCH)/otcl.o

$(MAKEFILE_ARCH): Makefile.in
	$(SHELL) $(CONFIG_STATUS)
	$(MAKE) -f $@ $(MFLAGS)

$(ARCH)/cmwish: $(ARCH)/tkMain.o $(CM_DEPLIBS)
	$(CC) -o $@ $(ARCH)/tkMain.o $(CM_LIBS) $(VQ_LIBS) $(LFLAGS) $(LIBS)

$(ARCH)/cmwish.pure: $(ARCH)/tkMain.o $(CM_DEPLIBS)
	$(PURE) $(PUREFLAGS) $(CC) -o $@ $(ARCH)/tkMain.o $(CM_LIBS) \
		 $(LFLAGS) $(LIBS)

clean: 
	rm -f *.a *.o core errs *~ \#* TAGS *.E a.out errors cmwish
	rm -f $(ARCH)/*.a $(ARCH)/*.o $(ARCH)/core $(ARCH)/a.out $(DIRMADE) \
		$(ARCH)/cmwish
	if [ "$(ARCH)" != "." -a -d $(ARCH) ]; then rmdir $(ARCH); fi

install: $(ARCH)/cmwish
	$(INSTALL_PROGRAM) -s $(ARCH)/cmwish $(BIN_DIR)

$(ARCH)/tkMain.o: $(SRC_DIR)/tkMain.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tkMain.c -o $@
$(ARCH)/edInit.o: $(SRC_DIR)/edInit.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/edInit.c -o $@
$(ARCH)/edClip.o: $(SRC_DIR)/edClip.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/edClip.c -o $@
$(ARCH)/general.o: $(SRC_DIR)/general.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/general.c -o $@
$(ARCH)/darray.o: $(SRC_DIR)/darray.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/darray.c -o $@
$(ARCH)/edMovie.o: $(SRC_DIR)/edMovie.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/edMovie.c -o $@
$(ARCH)/edStream.o: $(SRC_DIR)/edStream.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/edStream.c -o $@
$(ARCH)/otcl.o: $(SRC_DIR)/otcl.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/otcl.c -o $@



#.c.o:
#	$(CC) -c $(CC_SWITCHES) $<

$(ALL_OBJS): $(DIRMADE)

$(DIRMADE):
	if [ ! -d $(ARCH) ]; then $(MKDIR) $(ARCH); fi
	@-$(ECHO) $(DIRMADE) > $(DIRMADE)
