# Generated automatically from Makefile.in by configure.
#
# This file is a Makefile for cmsh.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =	/usr/local
exec_prefix =	${prefix}

# Directory in which to install the program dpwish:
BIN_DIR =	/usr/bin

# Directory in which to install the include file dp.h:
INCLUDE_DIR =	$(prefix)/include

# Top-level directory for manual entries:
MAN_DIR =	$(prefix)/man

# Directory in which to install manual entry for dpwish
MAN1_DIR =	$(MAN_DIR)/man1

# Directory in which to install manual entries for cmsh's C library
# procedures:
MAN3_DIR =	$(MAN_DIR)/man3

# Directory in which to install manual entries for the built-in
# Tcl commands implemented by cmsh:
MANN_DIR =	$(MAN_DIR)/mann

#---------------------------------------------------------------------------
# This info is modified by the top level configure to create the Makefile.in
# that then gets passed through the configure at this level
#---------------------------------------------------------------------------

# The directory containing the Tcl sources and headers appropriate
# for this version of cmsh ("." will be replaced or has already
# been replaced by the configure script):
TCL_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl

# The directory containing the Tk sources and headers appropriate
# for this version of cmsh ("." will be replaced or has already
# been replaced by the configure script):
TK_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tkx

# The directory containing the Tcl library archive file appropriate
# for this version of cmsh:
# TCL_BIN_DIR =	../tcl
TCL_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl

# The directory containing the Tcl library archive file appropriate
# for this version of cmsh:
TK_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tkx

# Extra libraries to use when linking.  " -lsocket -lnsl -ldl -lm" part will be
# replaced (or has already been replaced) with relevant libraries as
# determined by the configure script.
LIBS =  -lsocket -lnsl -ldl -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = -O

# X include files
XINCLUDES = # no special path needed

# Under HP/UX, reverse the comment characters on the following lines
# to enable the ansi HP compiler
#HP_ANSI_FLAGS = -Aa -D_HPUX_SOURCE
HP_ANSI_FLAGS =

# To disable ANSI-C procedure prototypes reverse the comment characters
# on the following lines:
PROTO_FLAGS =
#PROTO_FLAGS = -DNO_PROTOTYPE

# To enable memory debugging reverse the comment characters on the following
# lines.  Warning:  if you enable memory debugging, you must do it
# *everywhere*, including all the code that calls Tcl, and you must use
# ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
#MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

# Multi-architecture support
DIRMADE=	$(ARCH)/dir.made
MKDIR=		mkdir
ECHO=		echo

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

CC =			cc -belf
AC_FLAGS =		 -DTCM_PRIORITY=1 -DSECURE_CMT=1 -DHAVE_FCNTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MEMORY_H=1 -DHAVE_ERRNO_H=1 -DHAVE_LIMITS_H=1 -DUNIX_SOCKET=1 -DHAVE_TOLOWER=1 -DHAVE_NTOHL=1 -DHAVE_HTONL=1 -DNO_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -DHAVE_SHARED_MEMORY=1 -DTK_FILE_COUNT=__cnt -DTK_FILE_COUNT=__cnt -DAF_DEFAULT=1 -DJPEG_SW=1 -DJPEG_SW_DEFAULT=1 -DMPEG_SW_DEVICE=1 -DMPEG_SW_DEFAULT=1 -DH261_SW=1 
INSTALL =		/usr/bin/X11/scoinst -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
RANLIB =		ranlib
ARCH =			sco
CONFIG_STATUS =		/x/FreeWare/X11/cmt-3.0b3/config.status.sco
MAKEFILE_ARCH = 	Makefile.sco
SRC_DIR =		.

#####################################################################
#
# The following information is set by the configuration file
#
#
COPTS= -O
#COPTS= -g

LIB_DIR= /usr/local/lib 

#####################################################################
#
# This stuff is standard (it just combines the configuration options)
#
CM_LIBS = /x/FreeWare/X11/cmt-3.0b3/lib/cm/$(ARCH)/libcmx.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH)/libdpnetwork.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH)/libtkx.a \
	  /x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH)/libtcl.a

VQ_LIBS =   

INC=-I$(TCL_DIR) -I$(TK_DIR) $(XINCLUDES)

CC_SWITCHES= $(COPTS) $(INC) $(AC_FLAGS)

# GCC use below
LFLAGS= -L$(LIB_DIR)
#LFLAGS= $(LIB_DIR) -static
#LFLAGS= $(LIB_DIR) -Bstatic

all: $(MAKEFILE_ARCH) $(ARCH)/cmsh

ALL_OBJS = $(ARCH)/tkMain.o

$(MAKEFILE_ARCH): Makefile.in
	$(SHELL) $(CONFIG_STATUS)
	$(MAKE) -f $@ $(MFLAGS)

$(ARCH)/cmsh: $(ARCH)/tkMain.o $(CM_LIBS)
	$(CC) -o $@ $(ARCH)/tkMain.o $(CM_LIBS) $(VQ_LIBS) $(LFLAGS) $(LIBS)

$(ARCH)/cmsh.pure: $(ARCH)/tkMain.o $(CM_LIBS)
	purify $(CC) -o $@ $(ARCH)/tkMain.o $(CM_LIBS) $(LFLAGS) $(LIBS)

clean: 
	rm -f *.a *.o core errs *~ \#* TAGS *.E a.out errors cmx
	rm -f $(ARCH)/*.a $(ARCH)/*.o $(ARCH)/core $(ARCH)/a.out $(DIRMADE) \
		$(ARCH)/cmx
	if [ "$(ARCH)" != "." -a -d $(ARCH) ]; then rmdir $(ARCH); fi

install: $(ARCH)/cmsh
	$(INSTALL_PROGRAM) -s $(ARCH)/cmsh $(BIN_DIR)

#.c.o:
#	$(CC) -c $(CC_SWITCHES) $<

$(ARCH)/tkMain.o: $(SRC_DIR)/tkMain.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tkMain.c -o $@

$(ALL_OBJS): $(DIRMADE)

$(DIRMADE):
	@if [ ! -d $(ARCH) ]; then $(MKDIR) $(ARCH); fi
	@-$(ECHO) $(DIRMADE) > $(DIRMADE)

