/*
 * COPYRIGHT NOTICE 
 * 
 * Copyright (c) Digital Equipment Corporation, 1993, 1994.
 * All Rights reserved. Unpublished rights reserved under the 
 * copyright laws of the United States. Copyright is claimed in 
 * the computer program and user interface thereof. 
 * 
 * The software contained on this media is proprietary to and 
 * embodies the confidential technology of Digital Equipment 
 * Corporation. Possession, use, duplication or dissemination of 
 * the software and media is authorized only pursuant to a valid
 * written license from Digital Equipment Corporation. 
 * 
 * The name of Digital Equipment Corporation may not be used to endorse or 
 * promote products derived from this software without specific prior 
 * written permission. All other rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. 
 * Digital assumes no responsibility AT ALL for the use or reliability of 
 * this software.
 * 
 * 
 * +---------------------------------------------------------------------+
 * | USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS SUBJECT TO | 
 * | RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH (c)                       |
 * | DFARS 252.227-7013, OR IN FAR 52.227-19 OR IN 52.227-14 ALT III,    |
 * | AS APPLICABLE                                                       |
 * +---------------------------------------------------------------------+
 * 
 * 
 * 
 * 
 * 
 * 
 */
/*
 * HISTORY
 */
/*
**++
** FACILITY:	Digital Equipment Corporation
**		Multimedia Services for Alpha AXP
**		Development Kit Sample Code
**
** FILE NAME:	common.h
**
** PURPOSE:	Common headers.
**
** NOTES:	none.
**--
*/

/*
 * Include files
 */
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/extensions/XShm.h>
#include "color_utils.h"

/*
 * Function declarations.
 */
int mmcSetVisual(Display *dpy,
	          unsigned int *depth,
        	  Visual **visual,
          	  int screenNum,
           	  int CmapStrategy ,
		  int desiredDepth,
		  int desiredClass);

int mmcInitDisplayWindow(Display *dpy,
                         Visual *visual,
                         GC *gc,
                         Window *window,
                         Colormap colormap,
                         int cmapstrategy,
                         unsigned int scrnum,
                         int depth,
                         int width,
                         int height,
                         char *name,
			 Bool forceAspect,
			 int horizAspect,
			 int vertAspect);

void mmcMapImage (Display *dpy,
                  Visual *visual,
                  GC gc,
                  Window window,
                  int Lines,
                  int PixelsPerLine,
		  int depth,
                  XShmSegmentInfo *shminfo,
                  char * address,
                  int noxshm);

int jvColorSetup(Display * display,
                 Colormap * MyColormap,
                 int * num,
                 RGBQUAD * rgb );

int jvColorCleanup (Display * display,
                    Colormap MyColormap,
                    RGBQUAD * rgb,
                    RGBQUAD * old);

#define PAGE_PAD(size)  ((size + getpagesize()-1) & ~(getpagesize()-1))
