/*
 * COPYRIGHT NOTICE 
 * 
 * Copyright (c) Digital Equipment Corporation, 1993, 1994.
 * All Rights reserved. Unpublished rights reserved under the 
 * copyright laws of the United States. Copyright is claimed in 
 * the computer program and user interface thereof. 
 * 
 * The software contained on this media is proprietary to and 
 * embodies the confidential technology of Digital Equipment 
 * Corporation. Possession, use, duplication or dissemination of 
 * the software and media is authorized only pursuant to a valid
 * written license from Digital Equipment Corporation. 
 * 
 * The name of Digital Equipment Corporation may not be used to endorse or 
 * promote products derived from this software without specific prior 
 * written permission. All other rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. 
 * Digital assumes no responsibility AT ALL for the use or reliability of 
 * this software.
 * 
 * 
 * +---------------------------------------------------------------------+
 * | USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS SUBJECT TO | 
 * | RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH (c)                       |
 * | DFARS 252.227-7013, OR IN FAR 52.227-19 OR IN 52.227-14 ALT III,    |
 * | AS APPLICABLE                                                       |
 * +---------------------------------------------------------------------+
 */
/*
 * HISTORY
 */
/*
**++
**
** FACILITY: Workstation Multimedia (WMM) v1.0
**
** FILE NAME: mmbasic.h
**
** MODULE NAME:  mmbasic
**
** MODULE DESCRIPTION:
**       Basic definitions used by the ALPHA_MM system.
**
** AUTHORS:
**       Allen T. Arumainayagam
**
** CREATION DATE: 3/15/1993
**
** DESIGN OVERVIEW:
**         
**
** Note   : This code has not been compiled. Some parts of this code is
**          not compliant with WMM Coding Guidelines, because it has to
**          conform to Microsoft's MCI/MME standards.
**          Please inform the author of any issues regarding this source
**          code.
**
** MODIFICATION HISTORY:
** @version@  @date@  @modification number@  @initials@  @modification description@
**  1.0      3/5/1993   000                  A.T.A.      Initial version
**  1.0      3/16/1993  001                  A.T.A.      Removed Windows def.
**
**--
*/
#ifndef H_MMBASIC
#define H_MMBASIC 1

/*
** [Include Files]
*/
/* None */
/*
** Constant Definitions
*/
#define CONST               const
#define CALLBACK
#define APIENTRY
#define WINAPI   	APIENTRY
#define FAR
#define NEAR
#define PASCAL

/*
** Data Structure Definitions
*/
/* basic data type for ALPHA MM system */
typedef char                Int8;
typedef short               Int16;
typedef int                 Int32;
typedef long                Int64;

typedef unsigned char       Uint8;
typedef unsigned short      Uint16;
typedef unsigned int        Uint32;     
typedef unsigned long       Uint64; 


typedef char                Char8;
typedef short               Char16;

/* Windows specific data types */
typedef Uint32      	    DWORD;
typedef unsigned char 		    BOOL;
#ifndef TRUE
#define TRUE	1
#endif
#ifndef FALSE
#define FALSE	0
#endif
#ifndef NULL
#define NULL  0
#endif
typedef Uint8       	    BYTE;
typedef Uint16      	    WORD;
typedef Int32               INT;
typedef Int64               LONG;
typedef float               FLOAT;
typedef Uint32        	    UINT;
typedef Char8 		    CHAR;
typedef Int16 		    SHORT;

typedef Uint32        	    *PUINT;
typedef FLOAT               *PFLOAT;
typedef BOOL 	            *PBOOL;
typedef BOOL                *LPBOOL;
typedef BYTE                *PBYTE;
typedef BYTE                *LPBYTE;
typedef INT                 *PINT;
typedef INT                 *LPINT;
typedef WORD                *PWORD;
typedef WORD                *LPWORD;
typedef LONG                *LPLONG;
typedef DWORD               *PDWORD;
typedef DWORD               *LPDWORD;
typedef void		    VOID;
typedef void                *LPVOID;

typedef LONG                SIZE;

/* Types use for passing & returning polymorphic values */
typedef UINT                WPARAM;
typedef LONG                LPARAM;
typedef UINT                MMRESULT;

/* Handle is 32 bit UINT */
typedef UINT HANDLE;                

typedef Char16 WCHAR;    /* wc,   16-bit UNICODE character */

typedef WCHAR *PWCHAR;
typedef WCHAR *LPWCH, *PWCH;
typedef CONST WCHAR *LPCWCH, *PCWCH;
typedef WCHAR *NWPSTR;
typedef WCHAR *LPWSTR, *PWSTR;

typedef CONST WCHAR *LPCWSTR, *PCWSTR;
typedef CHAR *LPSTR, *PSTR;
typedef CHAR *LPCSTR;

#define DECLARE_HANDLE(handle) typedef HANDLE handle
/*
** Exported Global Variables
*/
/* None */

/*
** Pseudo Functions (#defined macros)
*/
/* None */

/*
** Exported Function Proto-types
*/
/* None */


#endif   /* H_MMBASIC */

