/*
 * COPYRIGHT NOTICE 
 * 
 * Copyright (c) Digital Equipment Corporation, 1993, 1994.
 * All Rights reserved. Unpublished rights reserved under the 
 * copyright laws of the United States. Copyright is claimed in 
 * the computer program and user interface thereof. 
 * 
 * The software contained on this media is proprietary to and 
 * embodies the confidential technology of Digital Equipment 
 * Corporation. Possession, use, duplication or dissemination of 
 * the software and media is authorized only pursuant to a valid
 * written license from Digital Equipment Corporation. 
 * 
 * The name of Digital Equipment Corporation may not be used to endorse or 
 * promote products derived from this software without specific prior 
 * written permission. All other rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. 
 * Digital assumes no responsibility AT ALL for the use or reliability of 
 * this software.
 * 
 * 
 * +---------------------------------------------------------------------+
 * | USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS SUBJECT TO | 
 * | RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH (c)                       |
 * | DFARS 252.227-7013, OR IN FAR 52.227-19 OR IN 52.227-14 ALT III,    |
 * | AS APPLICABLE                                                       |
 * +---------------------------------------------------------------------+
 * 
 * 
 * 
 * 
 * 
 * 
 */
/*
 * HISTORY
 */
/*
**++
** FACILITY:	Digital Equipment Corporation
**		Multimedia Services for Alpha AXP
**		Development Kit Sample Code
**
** FILE NAME:	mmc_memory.h
**
** PURPOSE:	Shared memory manager
**
** NOTES:	none.
**--
*/
#ifndef _mmc_memory_h_
#define _mmc_memory_h_

typedef enum
{
    MEM_TYPE_DATA,
    MEM_TYPE_BUFFER,
} mmcMemType_e;

/* used to keep track of chunk within a shared memory buffer */
typedef struct mmcSharedMemDetail_s
{
    char * memory;
    long size;
    mmcMemType_e type;
    struct mmcSharedMemDetail_s * next;
} mmcSharedMemDetail_t, *mmcSharedMemDetail_p;

/* used to keep track of share memory */
typedef struct mmcSharedMemList_s
{
    char * startMemory;
    char * endMemory;
    char * currentMemory;
    mmcSharedMemDetail_p detail;
    struct mmcSharedMemList_s * next;
} mmcSharedMemList_t, *mmcSharedMemList_p;

char * mmcAllocMem (int size);

char * mmcAllocBuffer (int size);

char * mmcAlloc (mmcMemType_e type, int size);

int mmcFreeMem (char * sharedMemory);

int mmcFreeBuffer (char * sharedMemory);

int mmcFree (mmcMemType_e type, char * sharedMemory);

void mmcFreeAll ();

#endif /* mmc_memory.h */


