/*
 * COPYRIGHT NOTICE 
 * 
 * Copyright (c) Digital Equipment Corporation, 1993, 1994.
 * All Rights reserved. Unpublished rights reserved under the 
 * copyright laws of the United States. Copyright is claimed in 
 * the computer program and user interface thereof. 
 * 
 * The software contained on this media is proprietary to and 
 * embodies the confidential technology of Digital Equipment 
 * Corporation. Possession, use, duplication or dissemination of 
 * the software and media is authorized only pursuant to a valid
 * written license from Digital Equipment Corporation. 
 * 
 * The name of Digital Equipment Corporation may not be used to endorse or 
 * promote products derived from this software without specific prior 
 * written permission. All other rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. 
 * Digital assumes no responsibility AT ALL for the use or reliability of 
 * this software.
 * 
 * 
 * +---------------------------------------------------------------------+
 * | USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS SUBJECT TO | 
 * | RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH (c)                       |
 * | DFARS 252.227-7013, OR IN FAR 52.227-19 OR IN 52.227-14 ALT III,    |
 * | AS APPLICABLE                                                       |
 * +---------------------------------------------------------------------+
 * 
 * 
 * 
 * 
 * 
 * 
 */
/*
 * HISTORY
 */
/*
**++
** FACILITY:	Digital Equipment Corporation
**		Multimedia Services for Alpha AXP
**		Development Kit Sample Code
**
** FILE NAME:	mmc_wave.h
**
** PURPOSE:	Handle Wave In or Out devices for a multimedia application.
**
** NOTES:	none.
**--
*/
#ifndef _mmc_wave_h_
#define _mmc_wave_h_

/* The datatype of the callback function passed into waveInOpen does not
 * specify what the function arguments should be.  This intermediate datatype
 * is introduced to do more stringent argument checking. */
typedef void (*mmcAudioCallback_f)
     (HANDLE hWaveIn,
      UINT wMsg,
      DWORD dwInstance,
      LPARAM lParam1,
      LPARAM lParam2);

int mmcWaveInGotData (mmcBufferList_p buffer_list,
		      LPARAM lParam1);

int mmcWaveOutGotData (mmcBufferList_p buffer_list,
		      LPARAM lParam1);

MMRESULT mmcWaveInOpen (LPPCMWAVEFORMAT format_p,
			UINT uDeviceID,
			void (*driver_callback)(),
			DWORD extra_open_flags,
			LPHWAVEIN hp);

MMRESULT mmcWaveOutOpen (LPPCMWAVEFORMAT format_p,
			 UINT uDeviceID,
			 void (*driver_callback)(),
			 DWORD extra_open_flags,
			 LPHWAVEIN hp);

MMRESULT mmcWaveInClose (HWAVEIN h,
			 mmcBufferList_p buffer_list);

MMRESULT mmcWaveOutClose (HWAVEOUT h,
			  mmcBufferList_p buffer_list);

MMRESULT mmcWaveInQueueBuffer (HWAVEIN hWaveIn,
			       LPWAVEHDR wp,
			       mmcBufferList_p buffer_list,
			       int i,
			       int verbose);

MMRESULT mmcWaveOutQueueBuffer (HWAVEOUT hWaveOut,
				LPWAVEHDR wp,
				mmcBufferList_p buffer_list,
				int i,
				int verbose,
				mmcWaveFileState_p f,
				int *allDone);

MMRESULT mmcWaveInQueueBufferAll (HWAVEIN hWaveIn,
				  mmcBufferList_p buffer_list,
				  int verbose);

MMRESULT mmcWaveOutQueueBufferAll (HWAVEOUT hWaveOut,
				   mmcBufferList_p buffer_list,
				   int verbose,
				   mmcWaveFileState_p f,
				   int *allDone);

MMRESULT mmcWaveInGetDevCaps (UINT device, LPWAVEINCAPS *waveInCaps_p);

MMRESULT mmcWaveOutGetDevCaps (UINT device, LPWAVEOUTCAPS *waveOutCaps_p);

void mmcWaveGetProductName (WORD id, char **productName);

MMRESULT mmcWaveInGetProductName (UINT device, char **productName);

MMRESULT mmcWaveOutGetProductName (UINT device, char **productName);

#endif /* _mmc_wave_h_ */
