/*
 * COPYRIGHT NOTICE 
 * 
 * Copyright (c) Digital Equipment Corporation, 1993, 1994.
 * All Rights reserved. Unpublished rights reserved under the 
 * copyright laws of the United States. Copyright is claimed in 
 * the computer program and user interface thereof. 
 * 
 * The software contained on this media is proprietary to and 
 * embodies the confidential technology of Digital Equipment 
 * Corporation. Possession, use, duplication or dissemination of 
 * the software and media is authorized only pursuant to a valid
 * written license from Digital Equipment Corporation. 
 * 
 * The name of Digital Equipment Corporation may not be used to endorse or 
 * promote products derived from this software without specific prior 
 * written permission. All other rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF
 * NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. 
 * Digital assumes no responsibility AT ALL for the use or reliability of 
 * this software.
 * 
 * 
 * +---------------------------------------------------------------------+
 * | USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS SUBJECT TO | 
 * | RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH (c)                       |
 * | DFARS 252.227-7013, OR IN FAR 52.227-19 OR IN 52.227-14 ALT III,    |
 * | AS APPLICABLE                                                       |
 * +---------------------------------------------------------------------+
 */
/*
 * HISTORY
 */
/*
**++
** FACILITY:  Workstation Multimedia  (WMM)  v1.0 
** 
** FILE NAME:   mme_public.h
** MODULE NAME: mme_public.h
**
** MODULE DESCRIPTION: Public interfaces for mme lib.
** 
** DESIGN OVERVIEW: 
** 
**--
*/
#ifndef _MMEPUBLIC_H_
#define _MMEPUBLIC_H_

#include <stddef.h>
#include <mme/mmbasic.h>

/*
 * Public data types.
 */
#ifndef _XSHM_H_	     /* this type is defined in X shared memory ext */
typedef Uint32 ShmSeg;
#endif

typedef struct {
    ShmSeg 	shmseg;	/* resource id */
    Int32 	shmid;		/* kernel id */
    char 	*shmaddr;	/* address in client */
    BOOL 	readOnly;	/* how the server should attach it */
} mmeShmSegmentInfo, MMShmSegmentInfo;

/*
 * Public Function Prototypes.
 */
void mmeWaitForCallbacks();
     
void mmeProcessCallbacks();
     
BOOL mmeCheckForCallbacks();

int mmeServerFileDescriptor();

void* mmeAllocBuffer(
    size_t		 	/* sizeof buffer */
);

void* mmeAllocBufferAndGetShminfo(
    size_t			/* sizeof buffer */,
    mmeShmSegmentInfo*		/* shm info */
);

BOOL mmeFreeBuffer(
    void*			/* buffer pointer */
);

void* mmeAllocMem(
    size_t 	 		/* size of memory */
);

BOOL mmeFreeMem(
    void*			/* pointer to memory */
);

#endif /* _MMEPUBLIC_H_ */
