/*This line lets emacs recognize this as -*- C -*- Code
*-------------------------------------------------------------------------
* 
*   File:	XilCellDefines.h
*   Project:	XIL
*   Created:	92/06/18
*   RespEngr:	Chuck Mosher - Sun NC Development Center
*   Revision:	1.2
*   Last Mod:	23:47:37, 18 Nov 1992
*  
*   Description:
*                 
* 	Definition of Cell defines and typedefs for both C and C++ 
*	programs.
*         
*         
*-----------------------------------------------------------------------*/

#ifndef XIL_CELLDEFINES_H
#define XIL_CELLDEFINES_H

/* Used with the Cell CIS attribute RDWR_INDICES */
typedef struct __XilIndexList {
   Xil_unsigned32*  pixels;        /* pointer to array of pixel values */
   Xil_unsigned16   ncolors;       /* number of pixel values */
} XilIndexList;

/* Used with the Cell CIS attribute USER_DATA */
typedef struct __XilCellUserData {
   Xil_unsigned8*   data;         /* pointer to the data */
   Xil_unsigned32   length;       /* number of bytes in the data */
} XilCellUserData;

/* Used with the Cell CIS attribute ENCODING_TYPE */
typedef enum __XilCellEncodingType {
    BTC, DITHER
} XilCellEncodingType;

#endif
