/*This line lets emacs recognize this as -*- C -*- Code
*-------------------------------------------------------------------------
* 
*   File:	XilJpegDefines.h
*   Project:	XIL
*   Created:	92/06/18
*   RespEngr:	Chuck Mosher - Sun NC Development Center
*   Revision:	1.2
*   Last Mod:	13:15:20, 11 Sep 1992
*  
*   Description:
*                 
* 	Definition of Jpeg defines and typedefs for both C and C++ 
*	programs.
*         
*         
*-----------------------------------------------------------------------*/

#ifndef XIL_JPEGDEFINES_H
#define XIL_JPEGDEFINES_H

typedef enum __XilJpegCompressedDataFormat {
    INTERCHANGE, ABBREVIATED_FORMAT
} XilJpegCompressedDataFormat;

typedef struct __XilJpegQTable {
  int table;
  int (*value)[8];
} XilJpegQTable;

typedef enum __XilJpegHTableType {
    DC, AC
} XilJpegHTableType;

typedef struct __XilJpegHTableValue {
  int bits;
  int pattern;
} XilJpegHTableValue;

typedef struct __XilJpegHTable {
  int table;
  XilJpegHTableType type;
  XilJpegHTableValue *value;
} XilJpegHTable;

typedef struct __XilJpegBandQTable {
  int band;
  int table;
} XilJpegBandQTable;

typedef struct __XilJpegBandHTable {
  int band;
  int table;
  XilJpegHTableType type;
} XilJpegBandHTable;

#endif
