/* This line lets emacs recognize this as -*- C -*- Code
*-----------------------------------------------------------------------
*
*  File:	XilMpeg1Defines.h
*  Project:	XIL
*  Created:	92/14/12
*  RespEngr:	STV team
*  Revision:	1.5
*  Last Mod:	11:20:40, 20 Jul 1993
*
*  Description:
*		
* 	Definition of Mpeg1 defines and typedefs for both C and C++ 
*	programs.
*-----------------------------------------------------------------------*/

#ifndef XIL_MPEG1DEFINES_H
#define XIL_MPEG1DEFINES_H
#include <xil/XilDefines.h>

typedef enum {
  I=1, P, B, D
 }  XilMpeg1FrameType;

typedef enum {
  NullDefaultRatio,
  Ratio_1_0,		/* 1.0		*/
  Ratio_0_6735,		/* 0.6735	*/
  Ratio_0_7031,		/* 0.7031	*/
  Ratio_0_7615,		/* 0.7615	*/
  Ratio_0_8055,		/* 0.8055	*/
  Ratio_0_8437,		/* 0.8437	*/
  Ratio_0_8935,		/* 0.8935	*/
  Ratio_0_9157,		/* 0.9157	*/
  Ratio_0_9815,		/* 0.9815	*/
  Ratio_1_0255,		/* 1.0255	*/
  Ratio_1_0695,		/* 1.0695	*/
  Ratio_1_0950,		/* 1.0950	*/
  Ratio_1_1575,		/* 1.1575	*/
  Ratio_1_2015		/* 1.2015	*/
} XilMpeg1PelAspectRatio;

typedef enum {
  NullDefaultRate,
  Rate_23_976,		/* 23.976	*/
  Rate_24,		/* 24.0		*/
  Rate_25,		/* 25.0		*/
  Rate_29_97,		/* 29.97	*/
  Rate_30,		/* 30.0		*/
  Rate_50,		/* 50.0		*/
  Rate_59_94,		/* 59.94	*/
  Rate_60		/* 60.0		*/
} XilMpeg1PictureRate;

typedef struct __XilMpeg1TimeCode {
  Xil_boolean		drop_frame_flag;
  Xil_unsigned32	hours;
  Xil_unsigned32	minutes;
  Xil_unsigned32	seconds;
  Xil_unsigned32	pictures;
} XilMpeg1TimeCode;

typedef struct __XilMpeg1Pattern {
  char*			pattern;
  Xil_unsigned32	repeat_count;
} XilMpeg1Pattern;

#endif
