#
# Synchronized playback of mpeg and audio
#
set source {
set aSrc  [auSegment ""]
set aSink [auPlay ""]
set vSrc  [mpegSegment ""]
set vSink [mpegPlay ""]
set clock [lts ""]

$aSrc config -outCmd @$aSink.accept
$aSrc config -filename ../../../world.acf -lts $clock
$aSrc config -cycleTime 0.1 -sendAhead 0.2
$aSrc config -clipStart 0 -clipEned end -logicalStart 0 -logicalEnd ?
$aSrc ready
$aSink config -lts $clock
$aSink ready

pack [frame .f1 -width 320 -height 240]; update
$vSrc config -outCmd @$vSink.accept
$vSrc config -cycleTime 1.0
$vSrc config -filename ../../../sodawalk.mpgc -lts $clock
$vSrc config -clipStart 0.0 -clipEnd end -logicalStart 0 -logicalEnd ?
$vSrc ready
$vSink config -xid [winfo id .f1]
$vSink config -width 320 -height 240
$vSink config -lts $clock -device software
$vSink ready
$clock config -speed 1.0
}

proc CleanUp {} {
    global clock vSrc vSink aSrc aSink 
    $clock config -speed 0
    $clock destroy
    $vSrc destroy
    $vSink destroy
    $aSrc destroy
    $aSink destroy
    destroy .f1
}

proc Reset {} {
    global clock
    $clock config -speed 1.0 -value 0
}
