#
#  Playback of mpeg from a file
#
set source {
    set src  [mpegSegment ""]
    set sink [mpegPlay ""]
    set clock [lts ""]

    $src config -outCmd @$sink.accept
    $src config -filename ../../../sodawalk.mpgc -lts $clock
    $src config -clipStart 0.0 -clipEnd end -logicalStart 0 -logicalEnd ?
    $src ready
    set w [$src width]
    set h [$src height]
    pack [frame .f1 -width $w -height $h]; update
    $sink config -xid [winfo id .f1]
    $sink config -width $w -height $h
    $sink config -lts $clock -device software
    $sink ready
    cmBind $sink <FRAME_PLAYED> {puts "Played %N"} -blankPeriod 1.0
    $clock config -speed 1.0
}

proc CleanUp {} {
    global clock src sink
    $clock config -speed 0
    $clock destroy
    $src destroy
    $sink destroy
    destroy .f1
}

proc Reset {} {
    global clock
    $clock config -speed 1.0 -value 0
}
