.TH auReassem l

.SH NAME
\fBauReassem\fP - Create a new audio prioritizing and packetizing object

.SH SYNOPSIS
\fBauReassem\fP \fIparentName\fP \fR?options\fR?

.SH DESCRIPTION

An \fBauReassem\fP object is used to reassemble audio packets that were
prioritized for network delivery. See auPriority(l) for a description of the 
prioritizing process.


.SH OPTIONS

.SS -sendAhead
How far ahead of scheduled playback time to send buffer. Defaults to 150 ms.
If resampling is needed, data may be sent somewhat late. 

.SS -lts
Should be set to the logical time system object (lts) to be used for
synchronization.  This slot must be set for the resource object to
work. Attempting to issue the "ready" command to the object when this
slot has not yet been set will generate an error.

.SS -outCmd
Indicates the command to call to send reassembled audio data. 

.SH WIDGET COMMANDS
The auReassem command creates a new command \fIobjectName\fP.
\fIObjectName\fP is generating by concatenating the value of
\fIparent\fP and a unique string generated internally.  The empty
string is a valid value for \fIparent\fP.  This new command,
\fIobjectName\fP, is used to invoke various operations on the new
object.

For more information on object names and why they are generated
by the cm process and not set by the user, please read the object
management overview for the cm toolkit.

The command \fIobjectName\fP has the following general form:

.RS
\fIobjectName\fP \fBoption\fP \fR?\fIarg arg arg...\fP\fR?
.RE

\fBOption\fP and the \fIargs\fP determine the exact behavior of the
command.  The following commands are available:

\fIobjectName\fP \fBconfigure\fP \fR?\fIoptions\fP\fR?
.RS
Query or modify the configuration options described above. If the object
was in the ready state (see the ready command below), the configure command
puts the object into the unready state, requiring the the ready command be
given again for data to start flowing.
.RE

\fIobjectName\fP \fBdestroy\fP
.RS 
Destroys the object. 
.RE

\fIobjectName\fP \fBready\fP
.RS
This command readies the object. The required slot (lts)
must be set.
.RE

\fIobjectName\fP \fBunready\fP
.RS
This command unreadies the object stopping audio packets from being 
reassembled.
.RE


\fIobjectName\fP \fBaccept\fP \fIscatter-buffer-list\fP
.RS
This command accepts \fIscatter-buffer-list\fP as au data to be
packetized.  A standard scatter buffer list accepting C interface to this
command is registered as \fIobjectName\fP.accept.
.RE

.SH KEYWORDS
cm, audio, audiofile, packet, cm toolkit

.SH SEE ALSO
audio(5), lts(l), auFile(l), auPlay(l), auReassem(l)

.SH AUTHORS
Jonathan Logan (logan@acm.org)

