.TH cmapp New
.SH NAME(S)
CMApp_CkNum,
.br
CMApp_GetsClean,
.br
CMApp_IsCMProccess,
.br
ASSERT,
.br
CMApp_SetDebug,
.br
CMApp_IfError,
.br
CMApp_Debug,
.br
CMApp_ListSet,
.br
CMApp_SwitchList,
.br
CMApp_ArgsAndSwitchList,
.br
.SH SYNOPSIS

CMApp_CkNum <args>

CMApp_GetsClean <fid>

CMApp_IsCMProccess

ASSERT <scrpt> <args>

CMApp_SetDebug <file>

CMApp_IfError <script> <actType> <actScript>

CMApp_Debug <moduleTag> <string>

CMApp_ListSet <varLst> <vals> ?flag?

CMApp_SwitchList <switchL> <argList> ?init? ?upCnt?

CMApp_ArgsAndSwitchList <switchL> <argList> ?init?
.BE
.SH DESCRIPTION
.PP
The CMAPP library is a collection of functions which are callable
from any tcl/tk wish.  They provide a layer of helping functions
between the raw CMT objects and user scripts.  This file supports
some basic CMAPP commands.  Other commands can be found in:

        cmapp-movie (simpleMovie.tcl)
        cmapp-network (gen_net.tcl)
        cmapp-tags (gen_net.tcl)


.SS CMApp_CkNum <args>

If any of $args is not a number then an error is produced.

Switches: -noerr cases 0 to be returned for non-number.

Return: 1
.SS CMApp_GetsClean <fid>

Returns first non-empty non-comment line from open file 'fid' or
{} for EOF.
.SS CMApp_IsCMProccess

Used to determine if this process can invoke cmp commands directly
     or if it needs to call them remotely.
.SS ASSERT <scrpt> <args>

Like C's assert.  If script evaluates to 0 reports an error.  $args
     are appended to the end of the error message.
.SS CMApp_SetDebug <file>

Simple debug output funtion.  If the variable gCMApp_DebugFile is
     set to a file name (or stdout) then the string is sent to that
     file, otherwise this function is a no-op.  Currently the
     moduleTag is ignored, but this may later be used to allow finer
     control of debug output.
.SS CMApp_IfError <script> <actType> <actScript>

Simple wrapper for the common catch cases.  If an error occures in
     $script, then a catch action is taken, based on $actType.
     Currently only rethrow is implemented.  The variable _errorTxt
     contains the text within the actScript.
rethrow - actScript is executed and then the error is rethrown,
     using the possibly modified _errorTxt value.  Usefull for
     clean-up actions.
.SS CMApp_Debug <moduleTag> <string>

Simple debug output funtion.  If the variable gCMApp_DebugFile is
     set to a file name (or stdout) then the string is sent to that
     file, otherwise this function is a no-op.  Currently the
     moduleTag is ignored, but this may later be used to allow finer
     control of debug output.
.SS CMApp_ListSet <varLst> <vals> ?flag?

Maps a list of vals to a list of vars.  If the '-init' flag is
present then, vars w/o corresponding vals are set to {}, else an
error is returned.  Extra vals are always ignored.
This is great for returning multipule values from a function!

        CMApp_ListSet {?varName? ...} {?value? ...} ?-init? or ?-exact? \
        	?-excess?
.SS CMApp_SwitchList <switchL> <argList> ?init? ?upCnt?

Takes a list of switches (without the initial dash) and sets
variables of the same names  to the values specified in the argList. 
        (format switchL: "{name ?initVal? ?possibleValList?} ...")
        (format argList: "-sw val -sw val...) 
switchL entries can be either simple names or lists.  The 2nd arg is
the initial value (if pressent) and the final arg is a list of legal
values for the switch.

If the final arg to the function is -init.  Then all switch
variables are initalised to {}, otherwise they are unset.
.SS CMApp_ArgsAndSwitchList <switchL> <argList> ?init?

As CMApp_SwitchList, except that all arguments preceeding the
first switch are identified and returned.
.SH AUTHOR
Eric Baldeschwieler, eric14@cs.berkeley.edu
.br
