.TH cmplayer New "June 22 1995"
.SH NAME
.B cmplayer
- application for playback of continuous media
.SH SYNOPSIS
cmplayer [options] [filename]
.SH DESCRIPTION
Cmplayer is an application for the playback of video and audio data.
It is a Tcl/Tk script that requires a cmwish binary (a wish linked with the 
CMT Toolkit) in order to execute.

If a filename is supplied, cmplayer attempts to open that file for
playback.
The following formats can be played by the cmplayer:

.RS
CMT movie scripts
.br
Sun/Next .au files
.br
MPEG encoded video files
.RE

If the file ~/.cmplayerrc exists, it is sourced as a Tcl script at startup.
It is often useful to change directories or set options in this file.
.SH OPTIONS
.SS -debug
Prints out diagnostic information.  This is primarily used to tract the
creation and deletion of cmt objects.
.SH MENU OPTIONS
The following options are accessible from the menubar at the top of the screen:
.SS File
Open -
.RS
Used to open a new file.  Brings up a dialog box used to make selection.
.RE

Exit -
.RS
Shuts down any network connections and exits cmplayer.
.RE
.SS Options
Audio Device -
.RS
Used to select current audio device.  Your options will depend
on the devices compiled into your wish.  Audiofile will always be an 
available option
.RE

Mjpeg Device -
.RS
Used to select current mjpeg device.
Your options will depend on the devices compiled into your cmwish.
Software will always be an available option.
.RE

Mpeg Device -
.RS
Used to select current mpeg device.  
Your options will depend on the devices compiled into your cmwish.
Software will always be an available option
.RE

Audio On -
.RS
Used to enable/disable audio.  Useful for machines without an audio device.
.RE

Move Resize -
.RS
When set, the movie will be resized to fit into the current video window.
Note, currently, only the J300 mjpeg device supports this option.
.RE

Movie Loop -
.RS
When set, the movie will restart when it reaches its ending.
.RE

Network Info -
.RS
This option will bring up a toplevel window that displays
the movie's current bandwidth and frames/second.  Additionally, 
the following values may be set: maximum bandwidth, maximum fps, 
send-ahead time, and cycle time.  The maximum bandwidth option 
has no effect on the playback of local video.
.RE

.SS Help
About -
.RS
How to contact us if you have any problems, questions, or suggestions.
.RE
.SH ENVIRONMENT VARIABLES
.RE
AUDIOFILE -
.RS
when set, determines the destination of the AudioFile audio device.
Otherwise, the DISPLAY variable is used by default.
.RE
.SH KEYWORDS
cm, cm toolkit, audio, video, mpeg, playback
.SH AUTHORS
David Simpson (davesimp@cory.eecs.berkeley.edu)

