.TH h261Play l

.SH NAME
h261Play \- CMT H.261 Video Playback Object

.SH SYNOPSIS
h261Play \fIprefix\fB \fR?options\fR?

.SH DESCRIPTION
The h261Play command creates a new H261 Play object, used to
decode and display Intra-H.261 encoded video.
.PP
The name of the new object (which is created by appending a
unique suffix to \fIprefix\fP) is returned.  This name is
also the name of a Tcl command that can be used with the
following options.
.PP

.SH OPTIONS

.SS \fIobject\fP \fBaccept\fP \fIscatter-buffer-list\fP
Accepts \fIscatter-buffer-list\fP as h.261 encoded video to be
displayed.  See the section below on INPUT.
.PP

.SS \fIobject\fP \fBdestroy\fP
Destroys the packet source named \fIobject\fP.
.PP

.SS \fIobject\fP \fBstats\fP
Unimplemented -- will return a list containing statistics about
the packets this object has received, decoded, displayed, etc...
.PP

.SS \fIobject\fP \fBready\fP
Tell \fIobject\fP to get ready to start accepting data.  This
can only be done if required configuration slots noted below are
set.  Data received when \fIobject\fP is not ready are ignored.
.PP

.SS \fIobject\fP \fBunready\fP
Opposite of \fBready\fP described above; \fIobject\fP will ignore
any incoming data until it is readied again.
.PP

.SS \fIobject\fP \fBdeviceList\fP
Returns a list of valid device names for the -device configuration
slot described below.
.PP

.SS \fIobject\fP \fBconfigure\fB \fR?-options\fR?
Sets configuration parameters for the packet source named
\fIobject\fP.  Valid options are:

.RS
\fB-device\fP
.RS
Chooses a device to handle video decoding and display.  The string
"default" will choose the default device.  Other valid values are
given by the \fBdeviceList\fP command described above.  This slot
must be set before \fIobject\fP can be readied.
.RE

\fB-lts\fP
.RS
The Logical Time System (LTS) object this object should use to
make timing decisions for decoding and displaying video.  This slot
must be set before \fIobject\fP can be readied.
.RE

\fB-xid\fP
.RS
The X window ID of the window in which video should be displayed.
For most Tk widgets, this value can be found with the \fBwinfo id\fP
command.  This slot must be set before \fIobject\fP can be readied.
.RE

.RE

.SH INPUT
An \fBh261Play\fP object register an atom @\fIobjName\fP.accept so
that it can be the target of the out command of another object.
It takes the buffers it receives, places them on a queue of buffers
to be decoded, and then allows the device to decode whatever buffers
it can.

.SH BUGS
Plenty.  Many configuration slots are missing and it has not been
thoroughly tested on different platforms.  It should be considered
alpha quality; improvements will be made eventually.

.SH SEE ALSO
rtpSrc(l), rtpDest(l), buffer(l), cmwish(1)

.SH AUTHORS
Andrew Swan (aswan@CS.Berkeley.EDU)
