'\"
'\" Copyright 1989 Regents of the University of California
'\" Permission to use, copy, modify, and distribute this
'\" documentation for any purpose and without fee is hereby
'\" granted, provided that this notice appears in all copies.
'\" The University of California makes no representations about
'\" the suitability of this material for any purpose.  It is
'\" provided "as is" without express or implied warranty.
'\" 
'\" /usr/u/multimed/cmt/CVSROOT/cmt/doc/man/manl/lts.l,v 1.1.1.3 1995/03/28 01:34:49 bsmith Exp SPRITE (Berkeley)
'
.\" The definitions below are for supplemental macros used in Sprite
.\" manual entries.
.\"
.\" .HS name section [date [version]]
.\"	Replacement for .TH in other man pages.  See below for valid
.\"	section names.
.\"
.\" .AP type name in/out [indent]
.\"	Start paragraph describing an argument to a library procedure.
.\"	type is type of argument (int, etc.), in/out is either "in", "out",
.\"	or "in/out" to describe whether procedure reads or modifies arg,
.\"	and indent is equivalent to second arg of .IP (shouldn't ever be
.\"	needed;  use .AS below instead)
.\"
.\" .AS [type [name]]
.\"	Give maximum sizes of arguments for setting tab stops.  Type and
.\"	name are examples of largest possible arguments that will be passed
.\"	to .AP later.  If args are omitted, default tab stops are used.
.\"
.\" .BS
.\"	Start box enclosure.  From here until next .BE, everything will be
.\"	enclosed in one large box.
.\"
.\" .BE
.\"	End of box enclosure.
.\"
.\" .VS
.\"	Begin vertical sidebar, for use in marking newly-changed parts
.\"	of man pages.
.\"
.\" .VE
.\"	End of vertical sidebar.
.\"
.\" .DS
.\"	Begin an indented unfilled display.
.\"
.\" .DE
.\"	End of indented unfilled display.
.\"
'	# Heading for Sprite man pages
.de HS
.if '\\$2'cmds'       .TH \\$1 1 \\$3 \\$4
.if '\\$2'lib'        .TH \\$1 3 \\$3 \\$4
.if '\\$2'tcl'        .TH \\$1 3 \\$3 \\$4
.if '\\$2'tk'         .TH \\$1 3 \\$3 \\$4
.if t .wh -1.3i ^B
.nr ^l \\n(.l
.ad b
..
'	# Start an argument description
.de AP
.ie !"\\$4"" .TP \\$4
.el \{\
.   ie !"\\$2"" .TP \\n()Cu
.   el          .TP 15
.\}
.ie !"\\$3"" \{\
.ta \\n()Au \\n()Bu
\&\\$1	\\fI\\$2\\fP	(\\$3)
.\".b
.\}
.el \{\
.br
.ie !"\\$2"" \{\
\&\\$1	\\fI\\$2\\fP
.\}
.el \{\
\&\\fI\\$1\\fP
.\}
.\}
..
'	# define tabbing values for .AP
.de AS
.nr )A 10n
.if !"\\$1"" .nr )A \\w'\\$1'u+3n
.nr )B \\n()Au+15n
.\"
.if !"\\$2"" .nr )B \\w'\\$2'u+\\n()Au+3n
.nr )C \\n()Bu+\\w'(in/out)'u+2n
..
'	# BS - start boxed text
'	# ^y = starting y location
'	# ^b = 1
.de BS
.br
.mk ^y
.nr ^b 1u
.if n .nf
.if n .ti 0
.if n \l'\\n(.lu\(ul'
.if n .fi
..
'	# BE - end boxed text (draw box now)
.de BE
.nf
.ti 0
.mk ^t
.ie n \l'\\n(^lu\(ul'
.el \{\
.\"	Draw four-sided box normally, but don't draw top of
.\"	box if the box started on an earlier page.
.ie !\\n(^b-1 \{\
\h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.el \}\
\h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.\}
.fi
.br
.nr ^b 0
..
'	# VS - start vertical sidebar
'	# ^Y = starting y location
'	# ^v = 1 (for troff;  for nroff this doesn't matter)
.de VS
.mk ^Y
.ie n 'mc \s12\(br\s0
.el .nr ^v 1u
..
'	# VE - end of vertical sidebar
.de VE
.ie n 'mc
.el \{\
.ev 2
.nf
.ti 0
.mk ^t
\h'|\\n(^lu+3n'\L'|\\n(^Yu-1v\(bv'\v'\\n(^tu+1v-\\n(^Yu'\h'-|\\n(^lu+3n'
.sp -1
.fi
.ev
.\}
.nr ^v 0
..
'	# Special macro to handle page bottom:  finish off current
'	# box/sidebar if in box/sidebar mode, then invoked standard
'	# page bottom macro.
.de ^B
.ev 2
'ti 0
'nf
.mk ^t
.if \\n(^b \{\
.\"	Draw three-sided box if this is the box's first page,
.\"	draw two sides but no top otherwise.
.ie !\\n(^b-1 \h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.el \h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.\}
.if \\n(^v \{\
.nr ^x \\n(^tu+1v-\\n(^Yu
\kx\h'-\\nxu'\h'|\\n(^lu+3n'\ky\L'-\\n(^xu'\v'\\n(^xu'\h'|0u'\c
.\}
.bp
'fi
.ev
.if \\n(^b \{\
.mk ^y
.nr ^b 2
.\}
.if \\n(^v \{\
.mk ^Y
.\}
..
'	# DS - begin display
.de DS
.RS
.nf
.sp
..
'	# DE - end display
.de DE
.fi
.RE
.sp .5
..
.de UL
\\$1\l'|0\(ul'\\$2
..
.HS lts tcl
.BS
.SH NAME
lts \- Logical Time System Abstraction
.BE
.TP
\fBlts \fIparent\fR ?\fI-speed speed\fR? ?\fI-offset offset\fR? ?\fI-value value\fR?
.br
.sp
creates and returns a logical time system (lts) abstraction with the name
\fI<parent><uid>\fP as the new object's name (refered to from now on as \fIltsName\fP.
A command \fIltsName\fP is added to the current interpreter to
access the lts.  A logical time system is a linear map from system time to
\fIlogical time\fP.  The \fIspeed\fP of the lts determines how fast logical
time is to run -- a speed of 0 indicates that logical time is stopped, a
speed of 2 indicates logical time is running twice as fast a system time.
The default speed is 0.
.br
.sp
The \fIvalue\fP of the lts is the current position in logical time.  The
default value is 0.
.br
.sp
The \fIoffset\fP of the lts is the internal offset used to map from system
time to logical time.  Although not of any interest to most humans, the
offset can be explicitly set to force two lts's with access to synchronized 
system clocks to be synchronized.
.PP
.TP
\fBltsName \fIconfig\fR
.TP
\fBltsName \fIconfig\fR ?\fI-slot\fR?
.TP
\fBltsName \fIconfig\fR ?\fI-slot newValue\fR?

In the first form, this command returns a list of triples specifying the
name, default value and current value of all slots in the lts.  In the
second form, this command returns a triple specifying the, default value and
current value the attribute named \fIslot\fP in the lts.  In the third form,
this command sets the current value the attribute named \fIslot\fP in the
lts to \fInewValue\fP. The possible values for \fIslot\fP are \fIspeed\fP,
\fIoffset\fP or \fIvalue\fP.
.PP
.TP
\fBltsName \fIslot-value\fR \fIslot\fR

This command returns the current value of the specified \fIslot\fP, where
slot is one of \fIspeed\fP, \fIoffset\fP or \fIvalue\fP.
.PP
.TP
\fBltsName \fIdestroy\fR

This command destroys the lts named \fIltsName\fP and removes the command
from the interpreter.
.PP
.TP
\fBltsName \fIlogicalTimeOf\fR \fIsystemTime\fP

This command returns the value in logical time associated with
\fIsystemTime\fP.  If \fIsystemTime\fP is the keyword ``now'', then 
then system clock is read and the current logical time is returned.

.PP
.TP
\fBltsName \fIsystemTimeOf\fR \fIlogicalTime\fR

This command returns the value in system time corresponding with the logical
time \fIlogicalTime\fR.  If the lts speed is 0, then no mapping is possible
and the value "undefined" is returned.

.PP
.TP
\fBltsName \fIaddSlave\fR \fIltsName2\fR

This command adds the lts \fIltsName2\fR as a slave. All changes to \fIltsName\fR
are propagated to \fIltsName2\fR. 

.PP
.TP
\fBltsName \fIdelSlave\fR \fIltsName2\fR

This command removes the lts \fIltsName2\fR as a slave. If \fIltsName2\fR does
not match any current slaves, no error is reported and the command does nothing.

.PP
.TP
\fBltsName \fIclearSlaves\fR

This command clears the slave list to be empty.

.SH AUTHOR
Brian Smith (bsmith@cs.berkeley.edu)
.br
Steve Yen (syen@cs.berkeley.edu)
.br
Ketan Patel (kpatel@cs.berkeley.edu)