.TH movie New
.SH NAME(S)
<MovieObject> init,
.br
<MovieObject> getnumstreams,
.br
<MovieObject> getstreamtype,
.br
<MovieObject> getstream,
.br
<MovieObject> getclipstart,
.br
<MovieObject> getclipend,
.br
<MovieObject> allocflag,
.br
<MovieObject> addstream,
.br
<MovieObject> astext,
.br
<MovieObject> getclip,
.br
<MovieObject> find,
.br
<MovieObject> snap,
.br
<MovieObject> getstart,
.br
<MovieObject> getend,
.br
<MovieObject> clear,
.br
<MovieObject> shift,
.br
<MovieObject> foreach,
.br
<MovieObject> addclip,
.br
<MovieObject> mergestream,
.br
<MovieObject> addhook,
.br
<MovieObject> gethooks,
.br
<MovieObject> clearhooks,
.br
<MovieObject> removehook,
.br
.SH SYNOPSIS

<MovieObject> init ?playList?

<MovieObject> getnumstreams

<MovieObject> getstreamtype <idx>

<MovieObject> getstream <idx>

<MovieObject> getclipstart <trk> <idx>

<MovieObject> getclipend <trk> <idx>

<MovieObject> allocflag

<MovieObject> addstream <idx> <strmTxt>

<MovieObject> astext ?trks?

<MovieObject> getclip <trk> <indx>

<MovieObject> find <trk> <time>

<MovieObject> snap <trk> <time> <dist>

<MovieObject> getstart ?trks?

<MovieObject> getend ?trks?

<MovieObject> clear <trks> <start> <end>

<MovieObject> shift <trks> <start> <delta>

<MovieObject> foreach <trks> <start> <end> <streamVar> <clipVar> <script>

<MovieObject> addclip <trk> <clip> <args>

<MovieObject> mergestream <trks> <src>

<MovieObject> addhook <hookN> <script>

<MovieObject> gethooks <hookN>

<MovieObject> clearhooks ?hookList?

<MovieObject> removehook <hookN> <script>
.BE
.SH DESCRIPTION
.PP
Stores a CM movie as an otcl object.  Supports edit operations.
Movie is represented as a collection of Stream objects.  These can
be passed directly to display objects, such as the video & audio
widgets.


.SS <MovieObject> init ?playList?

Movie is init'ed to be equivalent to playList
.SS <MovieObject> getnumstreams

Returns the number of streams in the movie.
.SS <MovieObject> getstreamtype <idx>

Returns the type of the idx'th stream of the movie.
.SS <MovieObject> getstream <idx>

Returns the stream object for the idx'th stream of the movie.
.SS <MovieObject> getclipstart <trk> <idx>

Returns the logical start time of the idx'th clip in stream $trk.
.SS <MovieObject> getclipend <trk> <idx>

Returns the logical end time of the idx'th clip in stream $trk.
.SS <MovieObject> allocflag

Returns the flag number of an unused change flag.  This flagNumber
can then be used in calls to the clipflag method.  These flags are
automatically set whenever an editing method changes a clip.
.SS <MovieObject> addstream <idx> <strmTxt>

Inserts a stream at position 'idx' in the movie stream list.  $idx
can equal "end" and will then cause an append.  The stream text
should follow the same format as a stream description in a
playList. A minimum strmTxt would be just the stream type,
i.e. video or audio.
.SS <MovieObject> astext ?trks?

Returns a playList description of the movie.  If a list of tracks is
given, then only those tracks are included in the output.
.SS <MovieObject> getclip <trk> <indx>

Returns a fully resolved clip description (a text list) for the
indexed clip.
.SS <MovieObject> find <trk> <time>

Returns the index of the clip that contains the given logical time
in the given stream.  If no clip contains the time, then the first
following lcip is returned.  The return is a tcl list of {clipIdx
flag} where flag is true if the time falls within a clip.
.SS <MovieObject> snap <trk> <time> <dist>

If there is a clip boundry within $dist of $time in stream number
$stream, then the time of the closest clip boundry is returned.
Otherwise $time is returned unchanged.  This is usefull for
implementing "snapping" functions in GUIs.
.SS <MovieObject> getstart ?trks?

Returns the start time of the given track or the minimum starting
time if multipule stream indexes are given ($trks can be a list of
indexes or "all").  If no clips are defined in any of the given
streams, then zero is returned.
.SS <MovieObject> getend ?trks?

Returns the end time of the given track or the maximum starting time
if multipule stream indexes are given ($trks can be a list of
indexes or "all").  If no clips are defined in any of the given
streams, then zero is returned.
.SS <MovieObject> clear <trks> <start> <end>

Deletes all information in the given time range for the listed
stream or streams ($trk can be a stream index, a list of indexes or
"all").  If clips are partially in the time range, they are
cropped.
.SS <MovieObject> shift <trks> <start> <delta>

Moves all clips on or after $start time in the given track(s) by
$delta time units (e.g. adds delta to the logical start and end
times).  If delta is negative, clips in the region behind $start are
deleted. Clips which span $start are split in two.  $start may equal
"start".
.SS <MovieObject> foreach <trks> <start> <end> <streamVar> <clipVar> <script>

Executes $script for each clip in the given time range on the
specified track(s).  Within script $streamVar is set to the name of
the stream object currently executing.  $clipVar is set to the clip
index of the current clip.
.SS <MovieObject> addclip <trk> <clip> <args>

returns the {trackNum clipNum} of new clips, as a list.
.SS <MovieObject> mergestream <trks> <src>

Maps equivalent typed traclks for src to self add addclip's all the
clips.  Only $trks are effected.  Unmatched tracks are discarded.
.SS <MovieObject> addhook <hookN> <script>


.SS <MovieObject> gethooks <hookN>

Returns the list of all scripts which have been added to the named
hook. These scripts are all executed when the hook event occures.
.SS <MovieObject> clearhooks ?hookList?

Removes all bound scripts for the named hooks (or "all").
.SS <MovieObject> removehook <hookN> <script>

Removes one script matching $script from the list of scripts which
execute when the even $hookN occures.
.SH AUTHOR
Eric Baldeschwieler, eric14@cs.berkeley.edu
.br
