.TH pktDest l

.SH NAME
\fBpktDest\fP \- Packet Dest Object

.SH SYNOPSIS
\fBpktDest\fP \fIprefix\fP \fR?options\fR?

.SH DESCRIPTION
The \fBpktDest\fP command creates a new packet dest object, used
to receive data using the cyclic-UDP protocl.  For a detailed
description of the protocol, which is useful in understanding
the various configuration slots and how they affect the behavior
of the packet objects, see [Smith 94].
.PP
The name of the new object (which is created by appending a
unique suffix to \fIprefix\fP) is returned.  This name is
also the name of a Tcl command that can be used with the
following options.
.PP

.SH OPTIONS

.SS \fIobject\fP \fBdestroy\fP
Destroys the packet dest named \fIobject\fP.
.PP

.SS \fIobject\fP \fBaddress\fP
Returns the local hostname and port number on which \fIobject\fP
is listening.
.PP

.SS \fIobject\fP \fBconfigure\fP \fR?-options\fR?
Sets configuration parameters for \fIobject\fP.  Valid options are:

.RS
\fB-outCmd\fP
.RS
Where to send data as it arrives.  This should be a string
conforming to the usual CMT semantics for passing data
between objects.  That is, it should be either the name of a
Tcl procedure to be called every time data is available, or
a string of the form @\fIobject\fP.accept where \fIobject\fP
is some CMT object that will accept the data.
.RE

\fB-shared\fP
.RS
A boolean value, indicating whether the buffers used by
\fIobject\fP should be shared memory buffers or not.
.RE

\fB-attach\fP
.RS
A boolean value, indicating whether the buffers used by
\fIobject\fP should be attached to the X server or not.
.RE

\fB-address\fP
.RS
The host name and port number on which \fIobject\fP is
listening.
.RE

\fB-priorityGroup\fP
.RS
Specifies the priority group this object is part of.  This
is usually one of tk, audio, or video.  By default, an object
is part of the tk priority group.
.RE

.RE

.SH SEE ALSO
pktSrc(l), buffer(l), cmt(l), cmwish(1), cmx(1)

.SH KEYWORDS
packet, network

.SH REFERENCES
[Smith94] Brian C. Smith, "Implementation Techniques for Continuous Media
Systems and Applications," Ph. D. Dissertation, University of California,
Berkeley, CA., Sept 1994

.SH AUTHORS
Andrew Swan (aswan@CS.Berkeley.EDU)
.br
Brian Smith (bsmith@cs.cornell.edu)
