.TH udpSrc l

.SH NAME
udpSrc \- UDP Source Object

.SH SYNOPSIS
udpSrc \fIprefix\fB \fR?options\fR?

.SH DESCRIPTION
The udpSrc command creates a new udp source object, used
to transmit data using the UDP protocol.  This protocol transmits
scatter buffers to a udpDest object, using UDP data for the transmission.
.PP
The name of the new object (which is created by appending a
unique suffix to \fIprefix\fB) is returned.  This name is
also the name of a Tcl command that can be used with the
following options.
.PP

.SH OPTIONS

.SS \fIobject\fB destroy
Destroys the udpSrc named \fIobject\fB.
.PP

.SS \fIobject\fB configure \fR?-options\fR?
Sets configuration parameters for the udpSrc named
\fIobject\fR.  Valid options are:

.RS

-burstSize
.RS
Ideal size of each burst, in bytes.  The udpSrc will
try to send this much data at each burst, sleeping between
bursts.
.RE

-bandwidth
.RS
The average bandwidth to send, in bytes per second.
This parameter is used in conjunction with the burstSize
to determine how often data is transmitted.
.RE

-dest
.RS
Where to find the corresponding udpDest object to
send the data to.  This option, unlike the others, takes
two arguments, a hostname and a port number.
.RE

\fB-priorityGroup\fP
.RS
Specifies the priority group this object is part of.  This
is usually one of tk, audio, or video.  By default, an object
is part of the tk priority group.
.RE

.RE

.SS \fIobject\fB addBuffers \fIscatter-buffer-list\fB
Adds a list of scatter buffers to the queue of buffers
to be sent.
.PP

.SH DATA PASSING
The udpSource object obeys the CMT semantics for passing
data between objects.  To summarize, you can set the output
function of another object to be the string
@\fIobject\fB.accept where \fIobject\fB is the name of a
udpSrc object.  Then data produced by the other
object will automatically be handed to the udpSrc and
sent to the udpDest.

.SH KEYWORDS
packet, network

.SH SEE ALSO
udpDest(l), buffer(l), cmt(l), cmwish(1), cmx(1)

.SH AUTHOR
Brian Smith (bsmith@cs.cornell.edu)
