/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


#ifndef _CM_ATOM_
#define _CM_ATOM_

#include <tcl.h>
#include <tk.h>
#include "cmBufferlist.h"


extern ClientData Tcm_FindAtom		(Tcl_Interp *interp, char *handle);
extern ClientData Tutil_FindAtom	(Tcl_Interp *interp, char *handle);
extern int Tutil_RegisterAtom		(Tcl_Interp *interp, char *handle,
					 ClientData clientData);
extern void Tutil_UnregisterAtom	(Tcl_Interp *interp, char *handle);
extern int Tcm_RegisterAtom		(char *handle, ClientData clientData);
extern void Tcm_UnregisterAtom		(char *handle);
extern int Tutil_RegisterCommand        (Tcl_Interp *interp, char *name, 
					 ClientData funcPtr, ClientData funcCD);
extern int Tutil_UnregisterCommand      (Tcl_Interp *interp, char *name);
extern int Tutil_GetRegisteredCommand	(Tcl_Interp *interp, char *cmdStr,
					 ClientData *cdPtr, 
					 ClientData *funcPtr);
extern int Tutil_AtomInit 		(Tcl_Interp *interp);

#endif
