/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


/* cmFilterUtils.h

   header file for:
   
   perform filtering operations on arrays representing frames of video.
   currently supported filters:

   TextOverlay
   Fade
   PictInPict
   */

/* Revision History:
**
** rev	who	when		what
** ---	---	-----------	---------------------------------------------------------------------------------------------
** 3    rmf     28-nov-1995     changed to support real storage of 4:2:2 YUV arrays, interleaved and non-interleaved
** 2    drs     27-nov-1995     Just some syntax changes so that it would mesh with CMT better.
** 1    rmf     20-nov-1995     created
*/

#define ON 1
#define OFF 0

#define TRUE 1
#define FALSE 0

#define NON_INTERLEAVED 0
#define INTERLEAVED 1

unsigned char *
TextOverlay (short *TextRlc, unsigned char *Source1Y, unsigned char *Source1U, unsigned char *Source1V,
             int Xdist, int Ydist,
             int Xstart, int Ystart,
             unsigned char TextY, unsigned char TextU, unsigned char TextV, int Mode);

unsigned char *
Fade (unsigned char *Source1Y, unsigned char *Source1U, unsigned char *Source1V,
      unsigned char *Source2Y, unsigned char *Source2U, unsigned char *Source2V,
      int Xdist, int Ydist, float Percent, int Mode);

unsigned char *
PictInPict (unsigned char *Source1Y, unsigned char *Source1U, unsigned char *Source1V,
            unsigned char *Source2Y, unsigned char *Source2U, unsigned char *Source2V,
            int Xdist, int Ydist, int Xstart, int Ystart, int Shrink, int Mode);
