/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


/* cmFontUtils.h

   header file for:

   convert a string, given a font in a bdf format, into a bitmap
   the final internal format is a run length coded form of the bitmap
   also optionally output an .xbm file
   */

/* Revision History:
**
** rev	who	when		what
** ---	---	-----------	---------------------------------------------------------------------------------------------
** 1    rmf     20-nov-1995     created
*/

#define MAXCHAR 255
/* maximum possible value of a string as defined in the BDF v2.2 spec */
#define MAXSTRING 65535 

#define ON 1
#define OFF 0

#define TRUE 1
#define FALSE 0

/* Row (y) and Col (x) coordinates of a point */
typedef struct
{
    int Row;
    int Col;
} Location;

/* global information about an entire font */
typedef struct
{
    int FBBx;
    int FBBy;
    int Xoff;
    int Yoff;
} FontParameters;

/* information about a particular glyph (i.e. character) within a font */
typedef struct
{
    int dwx;
    int dwy;
    int BBw;
    int BBh;
    int BBxoff;
    int BByoff;
} GlyphParameters;

short *
bdftorlc(char *, char *, char *, char *, unsigned int);
