/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


#ifndef LTS_H

extern double LTS_Speed(ClientData clientData);
double LTS_Offset(ClientData clientData);
double LTS_Value(ClientData clientData);
double LTS_SystemTimeOf(ClientData clientData, double lTime);
double LTS_LogicalTimeOf(ClientData clientData, double sTime);
int LTS_SetTrigger(ClientData clientData, int eventFlags, void (*callback)(), ClientData triggerData);
void LTS_UnsetTrigger(ClientData clientData, int triggerNum);

#define LTS_SPEED_FLAG 1
#define LTS_OFFSET_FLAG 2
#define LTS_VALUE_FLAG 4
#define LTS_EARLY_PHASE 8	/* Trigger early or late.  Late is default */

#endif
#define LTS_H


