/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


/*
 * --------------------------------------------------
 *
 * cmRTPJpeg.h
 *
 * Definitions of structures and constants needed
 * to send/receive JPEG data encapsulated in RTP
 * packets
 *
 * $Id: cmRTPJpeg.h,v 1.3 1996/02/06 22:42:28 kpatel Exp $
 *
 * --------------------------------------------------
 */

/*
 * RTP payload type (PT) for jpeg
 */
#define RTP_JPEG_PT	(0x1a)

/*
 * Header on jpeg data in an rtp packet
 */
typedef struct RTPJpegHdr {
    int offset;		/* should be int32 */
    unsigned char type;
    unsigned char q;
    unsigned char width;
    unsigned char height;
} RTPJpegHdr;

/*
 * Clock rate for RTP timestamps containing jpeg
 */
#define RTP_JPEG_CLOCK	(90000.)

/*
 * Types of JPEGs that can be sent via rtp
 */
#define RTP_JPEG_YUV422	0
#define RTP_JPEG_YUV420	1
