#ifdef _WINDOWS
#    define WIN32_LEAN_AND_MEAN
#    include <windows.h>
#    include <winsock.h>
#    undef WIN32_LEAN_AND_MEAN
#    include "util.h"
#endif /* _WINDOWS */
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/uio.h>
#include <errno.h>
#include <dp.h>
#include "sendrecvmsg.h"

int recvmsg(DP_SOCKET sock, struct msghdr *msghdr, int flags)
{
    struct iovec *iov;
    char buffer[16384];
    char *p;
    int i, total, nbytes, received;

    if (!msghdr->msg_name) {
	received = recv(sock, buffer, sizeof(buffer), flags);
    } else {
	received = recvfrom(sock, buffer, sizeof(buffer), flags, 
			    (struct sockaddr *) msghdr->msg_name,
			    &msghdr->msg_namelen);
    }

    total = received;
    iov = msghdr->msg_iov;
    for (p = buffer, i = 0; i < msghdr->msg_iovlen && total > 0; i++, iov++) {

	nbytes = (iov->iov_len > total) ? total : iov->iov_len;
	total -= nbytes;
	if (total < 0) {
	    errno = ENOMEM;
	    return -1;
	}

	memcpy(iov->iov_base, p, nbytes);
	p += nbytes;
    }

    return total;
}
