#ifdef _WINDOWS
#    define WIN32_LEAN_AND_MEAN
#    include <windows.h>
#    include <winsock.h>
#    undef WIN32_LEAN_AND_MEAN
#    include "util.h"
#endif /* _WINDOWS */
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/uio.h>
#include <errno.h>
#include <dp.h>
#include "sendrecvmsg.h"

int sendmsg(DP_SOCKET sock, struct msghdr *msghdr, int flags)
{
    struct iovec *iov;
    char buffer[16384];
    char *p;
    int i, total;

    iov = msghdr->msg_iov;
    for (p = buffer, total = i = 0; i < msghdr->msg_iovlen; i++, iov++) {

	total += iov->iov_len ;
	if (total > sizeof(buffer)) {
	    errno = ENOMEM;
	    return -1;
	}

	memcpy(p, iov->iov_base, iov->iov_len);
	p += iov->iov_len;
    }

    if (!msghdr->msg_name) {
	return send(sock, buffer, total, flags);
    } else {
	return sendto(sock, buffer, total, flags,
		      (struct sockaddr *) msghdr->msg_name,
		      msghdr->msg_namelen);
    }
    return total;
}
