/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


/*--------------------------------------------------------------*\
 *	darray.h
 * author:	Eric14@cs.berkeley.edu
 * date:	10-22-94
 *
 * purpose:  Defines a dynamic array package.
 *
\*--------------------------------------------------------------*/

#if !defined( _DARRAY_H_ )
    #define _DARRAY_H_

    #define kDAEnd		300000

    typedef struct
    {
	int	max;
	int	cnt;
	void**	vals;
    } tDArray;

    typedef int (*tDA_CompFunc)(void* elem, void* val);

    void   DA_Init(tDArray* da);
    int	   DA_Num(tDArray* da);
    int	   DA_Add(tDArray* da, int idx, void* val);
    void*  DA_Get(tDArray* da, int idx);
    void   DA_Set(tDArray* da, int idx, void* val);
    int    DA_Del(tDArray* da, int idx);
    void   DA_Nullify(tDArray* da);
    int    DA_BinSearch (tDArray* da, void* val, tDA_CompFunc compFP,
			int* retIdx);

    #define DA_Append(_da,_val) 	DA_Add((_da),kDAEnd,(_val))

#endif /* !defined( _DARRAY_H_ ) */
