
proc CMAppInitPacketSourceMonitor {{window 900.0} {sampleRate 60.0}} {

    global psMonitor;

    if {[info exists psMonitor(init)]} {
	return;
    } else {
	set psMonitor(init) 1;
    }

    set psMonitor(window_ms) [expr round($window * 1000.0)];
    set psMonitor(byte_total) 0;

    rename pktSrc pktSrc.hidden;

    proc pktSrc {args} {
	
	set ret_val [eval pktSrc.hidden $args];
	
	cmBind $ret_val <SBL_RECEIVED> {CMAppPacketSourceMonitorReport %b};

	return $ret_val;
    }
}

proc CMAppPacketSourceMonitorReport {numBytes} {

    global psMonitor;

    set psMonitor(byte_total) [expr $psMonitor(byte_total) + $numBytes];

    dp_after $psMonitor(window_ms) "set psMonitor(byte_total) \[expr \$psMonitor(byte_total) - $numBytes\]";
}

proc CMAppPacketSourceMonitorQuery {} {
    
    global psMonitor;
 
    set bytesPerSec [expr ($psMonitor(byte_total) * 1000.0) / $psMonitor(window_ms)];

    return $bytesPerSec;
}
