/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


/* -*- Mode: c++ -*-
 *
 *  $Id: otcl.h,v 1.3 1996/02/06 22:43:03 kpatel Exp $
 *  
 *  Copyright 1993 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and its
 *  documentation for any purpose is hereby granted without fee, provided that
 *  the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */

#ifndef _otcl_h_
#define _otcl_h_

#include <tcl.h>

struct OTclObject;
struct OTclClass;

extern struct OTclObject*
OTclAsObject(Tcl_Interp* in, ClientData cd);

extern struct OTclClass*
OTclAsClass(Tcl_Interp* in, ClientData cd);

extern struct OTclObject*
OTclGetObject(Tcl_Interp* in, char* name);

extern struct OTclClass*
OTclGetClass(Tcl_Interp* in, char* name);

extern struct OTclObject*
OTclCreateObject(Tcl_Interp* in, char* name, struct OTclClass* cl);

extern struct OTclClass*
OTclCreateClass(Tcl_Interp* in, char* name, struct OTclClass* cl);

extern int
OTclDeleteObject(Tcl_Interp* in, struct OTclObject* obj);

extern int
OTclDeleteClass(Tcl_Interp* in, struct OTclClass* cl);

extern void
OTclAddPMethod(struct OTclObject* obj, char* nm, Tcl_CmdProc* proc,
	       ClientData cd, Tcl_CmdDeleteProc* dp);

extern void
OTclAddIMethod(struct OTclClass* cl, char* nm, Tcl_CmdProc* proc,
	       ClientData cd, Tcl_CmdDeleteProc* dp);

extern int
OTclRemovePMethod(struct OTclObject* obj, char* nm);

extern int
OTclRemoveIMethod(struct OTclClass* cl, char* nm);

extern int
OTclNextMethod(struct OTclObject* obj, Tcl_Interp* in,
	       int argc, char*argv[]);

extern char*
OTclSetInstVar(struct OTclObject* obj, Tcl_Interp* in,
	       char* name, char* value, int flgs);

extern char*
OTclGetInstVar(struct OTclObject* obj, Tcl_Interp* in,
	       char* name, int flgs);

extern int
OTclUnsetInstVar(struct OTclObject* obj, Tcl_Interp* in,
		 char* name, int flgs);
		 
extern void
OTclSetObjectData(struct OTclObject* obj, struct OTclClass* cl,
		  ClientData data);

extern int
OTclGetObjectData(struct OTclObject* obj, struct OTclClass* cl,
		  ClientData* data);

extern int
OTclUnsetObjectData(struct OTclObject* obj, struct OTclClass* cl);

extern int
Otcl_Init(Tcl_Interp* in);

/*--------------------------------------------------------------*/
/*-------- Eric14's additions ----------------------------------*/
/*--------------------------------------------------------------*/

extern char*	   
OTclGetObjectName(struct OTclObject* obj,Tcl_Interp* in);

#endif /* _otcl_h_ */
