/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


#ifndef _VQIPDEVICE_H_
#define _VQIPDEVICE_H_

#include "vqPlay.h"

typedef enum {
  IPVIDEO_OK = 0,
  IPVIDEO_BAD_FRAME_SIZE,
  IPVIDEO_NUMERRORS,
  IPVIDEO_CONNECTION_FAILED
} IPVideoError;

#ifdef _VQIPDEVICE_MASTER_
const char *IPVideoErrorString[] = {
  "IPVIDEO_OK",
  "IPVIDEO_BAD_FRAME_SIZE",
  "IPVIDEO_CONNECTION_FAILED"
};
#else
extern char *IPVideoErrorString[];
#endif

int	vqIpDecode(VQFrame *framePtr);
int	vqIpRefresh(VQResource *resourcePtr);
int	vqIpDisplay(VQFrame *framePtr);
int	vqIpInit(VQResource *resourcePtr);
int	vqIpReinit(VQResource *resourcePtr);
int	vqIpShutdown(VQResource *resourcePtr);
int	vqIpFreeFrame(VQFrame *framePtr);
char	*vqIPError(VQResource *resourcePtr, int errNum);

#endif
