/*
 * Copyright (c) 1996 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement
 * is hereby granted, provided that the above copyright notice and the
 * following two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE
 * UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */


/*--------------------------------------------------------------*\
 *	vwClip.h
 * author:	Eric14@cs.berkeley.edu
 * date:	12-02-94
 *
 * purpose:  C clip representation
 *
\*--------------------------------------------------------------*/


#if !defined( _VWCLIP_H_ )
    #define _VWCLIP_H_

    typedef struct {
	double	sStart, sEnd;  /* source time */
	double	lStart, lEnd;  /* target or logical time */
	char*	format;
	char*	name;
	char*	plist;
	char*	addrTupple;
	int	flags;	       /* bit flags, all cleared when clip changed */
    } tClip;

int  Clip_Create(cTI* ti, char* inStr, tClip** out);
int  Clip_Destroy(cTI* ti, tClip* self);
int  Clip_Copy(cTI* ti, tClip* self, tClip** retVal);

int  Clip_Trim(cTI* ti, tClip* self, double ls, double le);
int  Clip_Shift(cTI* ti, tClip* self, double shiftT);
int  Clip_SourceShift(cTI* ti, tClip* self, double shiftT);
int  Clip_Type(cTI* ti, tClip* self);
int  Clip_AsText(cTI* ti, tClip* self, double start, double end, double base);
int  Clip_SetProp(cTI* ti, tClip* self, char* property, char* value);
int  Clip_GetProp(cTI* ti, tClip* self, char* property);

#endif /* _VWCLIP_H_ */
