# Generated automatically from Makefile.in by configure.
#
# This file is a Makefile for Tcl-DP.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.

# Current DP version;  used in various names.

VERSION = 3.3

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.  You should normally set these to the
# same values you used in the tk installation.

prefix =	/usr/local
exec_prefix =	${prefix}

# Directory in which to install the library of Tcl-DP scripts and demos
# (note: you can set the DP_LIBRARY environment variable at run-time to
# override the compiled-in location):
CMT_ROOT =	/usr/lib/cmt-3.0
DP_LIBRARY =	$(CMT_ROOT)/dp$(VERSION)

# Directory in which to install the archive libdpnetwork.a:
LIB_DIR =	$(exec_prefix)/lib

# Directory in which to install the program dpwish and dptcl:
BIN_DIR =	$(exec_prefix)/bin

# Directory in which to install the include file dp.h:
INCLUDE_DIR =	$(prefix)/include

# Top-level directory for manual entries:
MAN_DIR =	$(prefix)/man

# Directory in which to install manual entry for dpwish
MAN1_DIR =	$(MAN_DIR)/man1

# Directory in which to install manual entries for Tcl-DP's C library
# procedures:
MAN3_DIR =	$(MAN_DIR)/man3

# Directory in which to install manual entries for the built-in
# Tcl commands implemented by Tcl-DP:
MANN_DIR =	$(MAN_DIR)/mann

# The directory containing the Tcl header files (i.e., tcl.h) appropriate
# for this version of Tcl-DP.  If they're in a standard place, leave this
# blank
TCL_INCLUDES = -I/x/FreeWare/X11/cmt-3.0b3/lib/tcl

# The directory in which the library of Tcl scripts is installed.  This
# variable is only used for "make test"
TCL_LIBRARY =   /x/FreeWare/X11/cmt-3.0b3/lib/tcl/library

# The directory containing the Tcl header files (i.e., tcl.h) appropriate
# for this version of Tcl-DP.  If they're in a standard place, leave this
# blank
TK_INCLUDES = -I/x/FreeWare/X11/cmt-3.0b3/lib/tkx

# The directory in which the library of Tk scripts is installed.  This
# variable is only used for "make test"
TK_LIBRARY =   /x/FreeWare/X11/cmt-3.0b3/lib/tkx/library

# The directory containing the Tcl library archive file (libtcl.a) 
# appropriate for this version of Tcl-DP:
TCL_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl/sco

# The directory containing the Tk library archive file (libtk.a)
# appropriate for this version of Tcl-DP:
TK_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tkx/sco

# Under HP/UX, reverse the comment characters on the following lines
# to enable the ansi HP compiler.  This may generate a few in dpnetwork.c,
# due to the inconsistent way the select() prototype is defined.
# HP_ANSI_FLAGS = -Aa -D_HPUX_SOURCE
HP_ANSI_FLAGS =

# To disable ANSI-C procedure prototypes reverse the comment characters
# on the following lines:
PROTO_FLAGS =
#PROTO_FLAGS = -DNO_PROTOTYPE

#----------------------------------------------------------------
# Most of the rest of these options you probably won't have to touch.
#----------------------------------------------------------------

# To enable memory debugging reverse the comment characters on the following
# lines.  Warning:  if you enable memory debugging, you must do it
# *everywhere*, including all the code that calls Tcl, and you must use
# ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
#MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

# Shared library stuff
#
#SHLIB_CCFLAGS	= 
#SHLIB_LDFLAGS	=  -h $(SHARED_LIB_BASE)
#SHLIB_LOADER	= 
#SHLIB_SUFFIX	= 
#SHARED_LIB_BASE	= libdpnetwork$(SHLIB_SUFFIX)
#SHARED_LIB	= $(ARCH)/$(SHARED_LIB_BASE)
#DEPLIB		= $(SHARED_LIB)
# bug: I'm not sure if -R will confuse non-Solaris linkers
#LIB		= -L$(ARCH) -R/x/FreeWare/X11/cmt-3.0b3/lib/dp/$(ARCH) -ldpnetwork
DEPLIB		= $(ARCH)/libdpnetwork.a
LIB		= -L$(ARCH) -ldpnetwork

# A "-I" switch that can be used when compiling to make all of the
# X11 include files accessible (the configure script will try to
# set this value, and will cause it to be an empty string if the
# include files are accessible via /usr/include).
X11_INCLUDES =  # no special path needed

# Linker switch(es) to use to link with the X11 library archive (the
# configure script will try to set this value automatically, but you
# can override it).
X11_LIB_SWITCHES =       -lX11

# Libraries to use when linking:  must include at least Tcl-DP, Tk, Tcl,
# Xlib, and the math library (in that order).  The " -lsocket -lnsl -ldl -lm" part will be
# replaced (or has already been replaced) with relevant libraries as
# determined by the configure script.
#LIBS = $(ARCH)/libdpnetwork.so  $(TK_BIN_DIR)/libtkx.so \
#	$(TCL_BIN_DIR)/libtcl.so \
#	$(X11_LIB_SWITCHES)  -lsocket -lnsl -ldl -lm -lm

LIBS = $(ARCH)/libdpnetwork.a  $(TK_BIN_DIR)/libtkx.a \
	$(TCL_BIN_DIR)/libtcl.a \
	$(X11_LIB_SWITCHES)  -lsocket -lnsl -ldl -lm -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = -O

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

# Multi-architecture support
DIRMADE=	$(ARCH)/dir.made
MKDIR=		mkdir
ECHO=		echo

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		 -DTCM_PRIORITY=1 -DSECURE_CMT=1 -DHAVE_FCNTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MEMORY_H=1 -DHAVE_ERRNO_H=1 -DHAVE_LIMITS_H=1 -DUNIX_SOCKET=1 -DHAVE_TOLOWER=1 -DHAVE_NTOHL=1 -DHAVE_HTONL=1 -DNO_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -DHAVE_SHARED_MEMORY=1 -DTK_FILE_COUNT=__cnt -DTK_FILE_COUNT=__cnt -DAF_DEFAULT=1 -DJPEG_SW=1 -DJPEG_SW_DEFAULT=1 -DMPEG_SW_DEVICE=1 -DMPEG_SW_DEFAULT=1 -DH261_SW=1 
INSTALL =		/usr/bin/X11/scoinst -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
RANLIB =		ranlib
ARCH =			sco
CONFIG_STATUS =		/x/FreeWare/X11/cmt-3.0b3/config.status.sco
MAKEFILE_ARCH = 	Makefile.sco
SRC_DIR =		.

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------


CC =		cc -belf
CC_SWITCHES =	${CFLAGS} ${SHLIB_CCFLAGS} -I${SRC_DIR} ${TCL_INCLUDES} ${TK_INCLUDES} \
-I${INCLUDE_DIR} -I/usr/include ${AC_FLAGS} ${PROTO_FLAGS} ${MEM_DEBUG_FLAGS} \
${HP_ANSI_FLAGS} ${X11_INCLUDES} -DCMT_ROOT=\"$(CMT_ROOT)\"

OBJS = $(ARCH)/dpnetInit.o $(ARCH)/dpnetwork.o $(ARCH)/dpaddress.o \
	$(ARCH)/dprpc.o $(ARCH)/dpIO.o $(ARCH)/ns.o

SRCS = $(SRC_DIR)/dpnetInit.c $(SRC_DIR)/dpnetwork.c $(SRC_DIR)/dpaddress.c $(SRC_DIR)/dprpc.c $(SRC_DIR)/dpIO.c $(SRC_DIR)/ns.c

all: $(MAKEFILE_ARCH) $(ARCH)/libdpnetwork.a $(SHARED_LIB)

$(MAKEFILE_ARCH): $(SRC_DIR)/Makefile.in
	$(SHELL) $(CONFIG_STATUS)
	$(MAKE) -f $@ $(MFLAGS)

$(ARCH)/libdpnetwork.a: $(OBJS)
	rm -f $@
	ar cr $@ $(OBJS)
	$(RANLIB) $@

# do shared lib if requested
#$(SHARED_LIB):	${OBJS}
#	rm -f $@
#	$(SHLIB_LOADER) $(SHLIB_LDFLAGS) -o $@ ${OBJS}
##	rm -f $(ARCH)/libdpnetwork.so
##	ln -s $(SHARED_LIB_BASE) $(ARCH)/libdpnetwork.so

$(ARCH)/dpwish: $(ARCH)/tkAppInit.o $(ARCH)/tkMain.o $(DEPLIB)
	$(CC) $(CC_SWITCHES) $(ARCH)/tkMain.o $(ARCH)/tkAppInit.o $(LIBS) -o $@

$(ARCH)/dptcl: $(ARCH)/dpwish
	rm -f $@
	ln -s $(ARCH)/dpwish $@

test: $(ARCH)/dptcl
	@cwd=`pwd`; \
	TCL_LIBRARY=$(TCL_LIBRARY); export TCL_LIBRARY; \
	cd $(SRC_DIR); DP_LIBRARY=`pwd`/library; export DP_LIBRARY; \
	cd $$cwd; cd $(SRC_DIR)/tests; \
	( echo source all\; exit ) | $$cwd/$(ARCH)/dptcl

install:;
	rm -rf /usr/lib/cmt-3.0/dp$(VERSION)
	mkdir /usr/lib/cmt-3.0/dp$(VERSION)
	cp -r library/* /usr/lib/cmt-3.0/dp$(VERSION)

install-binaries: libdpnetwork.a dpwish
	@for i in $(LIB_DIR) $(BIN_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing libdpnetwork.a"
	@$(INSTALL_DATA) $(ARCH)/libdpnetwork.a $(LIB_DIR)/libdpnetwork.a
	@$(RANLIB) $(LIB_DIR)/libdpnetwork.a
	@echo "Installing dpwish"
	@$(INSTALL_PROGRAM) $(ARCH)/dpwish $(BIN_DIR)/dpwish
	@echo "Installing dptcl"
	@rm -f $(BIN_DIR)/dptcl
	@ln -s $(BIN_DIR)/dpwish $(BIN_DIR)/dptcl

install-libraries:
	@for i in $(prefix)/lib $(INCLUDE_DIR) $(DP_LIBRARY) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing dp.h"
	@$(INSTALL_DATA) $(SRC_DIR)/dp.h $(INCLUDE_DIR)
	@cd $(SRC_DIR)/library; for i in *.tcl tclIndex; \
	    do \
	    echo "Installing library/$$i"; \
	    $(INSTALL_DATA) $$i $(DP_LIBRARY); \
	    done;


install-man:
	@for i in $(MAN_DIR) $(MAN1_DIR) $(MAN3_DIR) $(MANN_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@(cd $(SRC_DIR)/doc; tar cf - man1) | (cd $(MAN_DIR); tar xf -)
	@(cd $(SRC_DIR)/doc; tar cf - man3) | (cd $(MAN_DIR); tar xf -)
	@(cd $(SRC_DIR)/doc; tar cf - mann) | (cd $(MAN_DIR); tar xf -)

clean:
	rm -f *.a *.o core errs *~ \#* TAGS *.E a.out errors dpwish dptcl
	rm -f $(ARCH)/*.a $(ARCH)/*.o $(ARCH)/core $(ARCH)/a.out $(DIRMADE) \
		$(ARCH)/dpwish $(ARCH)/dptcl
	if [ "$(ARCH)" != "." -a -d $(ARCH) ]; then rmdir $(ARCH); fi

distclean: clean
	rm -f Makefile $(MAKEFILE_ARCH) config.status

$(ARCH)/tkAppInit.o: $(SRC_DIR)/tkAppInit.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tkAppInit.c -o $@
$(ARCH)/tkMain.o: $(SRC_DIR)/tkMain.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tkMain.c -o $@
$(ARCH)/dpnetInit.o: $(SRC_DIR)/dpnetInit.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/dpnetInit.c -o $@
$(ARCH)/dpnetwork.o: $(SRC_DIR)/dpnetwork.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/dpnetwork.c -o $@
$(ARCH)/dpaddress.o: $(SRC_DIR)/dpaddress.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/dpaddress.c -o $@
$(ARCH)/dprpc.o: $(SRC_DIR)/dprpc.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/dprpc.c -o $@
$(ARCH)/dpIO.o: $(SRC_DIR)/dpIO.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/dpIO.c -o $@
$(ARCH)/ns.o: $(SRC_DIR)/ns.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/ns.c -o $@

#.c.o:
#	$(CC) -c $(CC_SWITCHES) $<


$(OBJS) $(ARCH)/tkMain.o $(ARCH)/tkAppInit.o: $(DIRMADE)

$(DIRMADE):
	@if [ ! -d $(ARCH) ]; then $(MKDIR) $(ARCH); fi
	@-$(ECHO) $(DIRMADE) > $(DIRMADE)
