# Generated automatically from Makefile.in by configure.
#
# This file is a Makefile for Tcl.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.

# Current Tcl version;  used in various names.

VERSION = 7.4

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =	/usr/local
exec_prefix =	${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory where the CMT tree will be placed.  Library files go under
# this directory.
CMT_ROOT =	/usr/lib/cmt-3.0

# Directory in which to install the library of Tcl scripts (note:
# you can set the TCL_LIBRARY environment variable at run-time to
# override the compiled-in location):
TCL_LIBRARY =	$(CMT_ROOT)/tcl$(VERSION)

# Path name to use when installing library scripts:
SCRIPT_INSTALL_DIR =	$(INSTALL_ROOT)$(TCL_LIBRARY)

# Directory in which to install the program tclsh:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include file tcl.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory in which to install manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Directory in which to install manual entry for tclsh:
MAN1_INSTALL_DIR =	$(MAN_INSTALL_DIR)/man1

# Directory in which to install manual entries for Tcl's C library
# procedures:
MAN3_INSTALL_DIR =	$(MAN_INSTALL_DIR)/man3

# Directory in which to install manual entries for the built-in
# Tcl commands:
MANN_INSTALL_DIR =	$(MAN_INSTALL_DIR)/mann

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = -O

# To disable ANSI-C procedure prototypes reverse the comment characters
# on the following lines:
PROTO_FLAGS =
#PROTO_FLAGS = -DNO_PROTOTYPE

# Mathematical functions like sin and atan2 are enabled for expressions
# by default.  To disable them, reverse the comment characters on the
# following pairs of lines:
MATH_FLAGS =
#MATH_FLAGS = -DTCL_NO_MATH
MATH_LIBS = -lm
#MATH_LIBS =

# To compile for non-UNIX systems (so that only the non-UNIX-specific
# commands are available), reverse the comment characters on the
# following pairs of lines.  In addition, you'll have to provide your
# own replacement for the "panic" procedure (see panic.c for what
# the current one does).
GENERIC_FLAGS =
#GENERIC_FLAGS = -DTCL_GENERIC_ONLY
UNIX_OBJS = $(ARCH)/panic.o $(ARCH)/tclEnv.o $(ARCH)/tclGlob.o \
	$(ARCH)/tclMain.o $(ARCH)/tclMtherr.o $(ARCH)/tclUnixAZ.o \
	$(ARCH)/tclUnixStr.o $(ARCH)/tclUnixUtil.o
#UNIX_OBJS =

# To enable memory debugging reverse the comment characters on the following
# lines.  Warning:  if you enable memory debugging, you must do it
# *everywhere*, including all the code that calls Tcl, and you must use
# ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
#MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

# Shared library stuff
#
#SHLIB_CCFLAGS	= 
#SHLIB_LDFLAGS	=  -h $(SHARED_LIB_BASE)
#SHLIB_LOADER	= 
#SHLIB_SUFFIX	= 
#SHARED_LIB_BASE	= libtcl$(SHLIB_SUFFIX)
#SHARED_LIB	= $(ARCH)/$(SHARED_LIB_BASE)
#DEPLIB		= $(SHARED_LIB)
# bug: I'm not sure if -R will confuse non-Solaris linkers
#LIB		= -L$(ARCH) -R/x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH) -ltcl

DEPLIB		= $(ARCH)/libtcl.a
LIB		= -L$(ARCH) -ltcl

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

# Multi-architecture support
DIRMADE=	$(ARCH)/dir.made
MKDIR=		mkdir
ECHO=		echo

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

COMPAT_OBJS =		
AC_FLAGS =		 -DTCM_PRIORITY=1 -DSECURE_CMT=1 -DHAVE_FCNTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MEMORY_H=1 -DHAVE_ERRNO_H=1 -DHAVE_LIMITS_H=1 -DUNIX_SOCKET=1 -DHAVE_TOLOWER=1 -DHAVE_NTOHL=1 -DHAVE_HTONL=1 -DNO_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -DHAVE_SHARED_MEMORY=1 -DTK_FILE_COUNT=__cnt -DTK_FILE_COUNT=__cnt -DAF_DEFAULT=1 -DJPEG_SW=1 -DJPEG_SW_DEFAULT=1 -DMPEG_SW_DEVICE=1 -DMPEG_SW_DEFAULT=1 -DH261_SW=1 
INSTALL =		/usr/bin/X11/scoinst -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
RANLIB =		ranlib
ARCH =			sco
CONFIG_STATUS =		/x/FreeWare/X11/cmt-3.0b3/config.status.sco
MAKEFILE_ARCH = 	Makefile.sco
SRC_DIR =		.

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------


CC =		cc -belf
CC_SWITCHES =	${CFLAGS} ${SHLIB_CCFLAGS} -I. -I${SRC_DIR} ${AC_FLAGS} ${MATH_FLAGS} \
${GENERIC_FLAGS} ${PROTO_FLAGS} ${MEM_DEBUG_FLAGS} -DCMT_ROOT=\"$(CMT_ROOT)\"

GENERIC_OBJS =	$(ARCH)/regexp.o $(ARCH)/tclAsync.o $(ARCH)/tclBasic.o \
	$(ARCH)/tclCkalloc.o $(ARCH)/tclCmdAH.o $(ARCH)/tclCmdIL.o \
	$(ARCH)/tclCmdMZ.o $(ARCH)/tclExpr.o $(ARCH)/tclGet.o \
	$(ARCH)/tclHash.o $(ARCH)/tclHistory.o $(ARCH)/tclLink.o \
	$(ARCH)/tclParse.o $(ARCH)/tclProc.o $(ARCH)/tclUtil.o \
	$(ARCH)/tclVar.o

OBJS = ${GENERIC_OBJS} ${UNIX_OBJS} ${COMPAT_OBJS}

all: $(MAKEFILE_ARCH) $(ARCH)/libtcl.a $(SHARED_LIB)


$(MAKEFILE_ARCH): $(SRC_DIR)/Makefile.in
	$(SHELL) $(CONFIG_STATUS)
	$(MAKE) -f $@ $(MFLAGS)

$(ARCH)/libtcl.a: ${OBJS}
	rm -f $@
	ar cr $@ ${OBJS}
	$(RANLIB) $@

# do shared lib if requested
#$(SHARED_LIB):	${OBJS}
#	rm -f $@
#	$(SHLIB_LOADER) $(SHLIB_LDFLAGS) -o $@ ${OBJS}
##	rm -f $(ARCH)/libtcl.so
##	ln -s $(SHARED_LIB_BASE) $(ARCH)/libtcl.so

$(ARCH)/tclsh: $(ARCH)/tclAppInit.o $(DEPLIB)
	${CC} ${CC_SWITCHES} $(ARCH)/tclAppInit.o $(LIB) \
		${MATH_LIBS} -o $@

$(ARCH)/tcltest: $(ARCH)/tclTest.o $(DEPLIB)
	${CC} ${CC_SWITCHES} $(ARCH)/tclTest.o $(LIB) \
		${MATH_LIBS} -o $@

test: $(ARCH)/tcltest
	@cwd=`pwd`; \
	cd $(SRC_DIR); TCL_LIBRARY=`pwd`/library; export TCL_LIBRARY; \
	cd $$cwd; ( echo cd $(SRC_DIR)/tests\; source all ) | ./$(ARCH)/tcltest

install:;
	rm -rf /usr/lib/cmt-3.0/tcl$(VERSION);
	mkdir /usr/lib/cmt-3.0/tcl$(VERSION);
	cp -r library/* /usr/lib/cmt-3.0/tcl$(VERSION);

install-binaries: $(ARCH)/libtcl.a $(ARCH)/tclsh
	@for i in $(LIB_DIR) $(BIN_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing libtcl.a"
	@$(INSTALL_DATA) $(ARCH)/libtcl.a $(LIB_DIR)
	@$(RANLIB) $(LIB_DIR)/libtcl.a
	@echo "Installing tclsh"
	@$(INSTALL_PROGRAM) $(ARCH)/tclsh $(BIN_DIR)

install-libraries:
	@for i in $(prefix)/lib $(INCLUDE_DIR) $(TCL_LIBRARY) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing tcl.h"
	@$(INSTALL_DATA) $(SRC_DIR)/tcl.h $(INCLUDE_DIR)
	@cd $(SRC_DIR)/library; for i in *.tcl tclIndex; \
	    do \
	    echo "Installing library/$$i"; \
	    $(INSTALL_DATA) $$i $(TCL_LIBRARY); \
	    done;

install-man:
	@for i in $(MAN_DIR) $(MAN1_DIR) $(MAN3_DIR) $(MANN_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@cd $(SRC_DIR)/doc; for i in *.1; \
	    do \
	    echo "Installing doc/$$i"; \
	    rm -f $(MAN1_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MAN1_DIR)/$$i; \
	    chmod 444 $(MAN1_DIR)/$$i; \
	    done;
	@cd $(SRC_DIR)/doc; for i in *.3; \
	    do \
	    echo "Installing doc/$$i"; \
	    rm -f $(MAN3_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MAN3_DIR)/$$i; \
	    chmod 444 $(MAN3_DIR)/$$i; \
	    done;
	@cd $(SRC_DIR)/doc; for i in *.n; \
	    do \
	    echo "Installing doc/$$i"; \
	    rm -f $(MANN_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MANN_DIR)/$$i; \
	    chmod 444 $(MANN_DIR)/$$i; \
	    done;

clean:
	rm -f *.a *.o core errs *~ \#* TAGS *.E a.out errors tclsh tcltest
	rm -f $(ARCH)/*.a $(ARCH)/*.o $(ARCH)/core $(DIRMADE) \
		$(ARCH)/a.out $(ARCH)/tclsh $(ARCH)/tcltest
	if [ "$(ARCH)" != "." -a -d $(ARCH) ]; then rmdir $(ARCH); fi

distclean: clean
	rm -f Makefile $(MAKEFILE_ARCH) config.status $(ARCH)/dir.made

depend:
	makedepend -- $(CC_SWITCHES) -- $(SRCS)

$(ARCH)/tclAppInit.o: $(SRC_DIR)/tclAppInit.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclAppInit.c -o $@
$(ARCH)/panic.o: $(SRC_DIR)/panic.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/panic.c -o $@
$(ARCH)/tclEnv.o: $(SRC_DIR)/tclEnv.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclEnv.c -o $@
$(ARCH)/tclGlob.o: $(SRC_DIR)/tclGlob.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclGlob.c -o $@
$(ARCH)/tclMain.o: $(SRC_DIR)/tclMain.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclMain.c -o $@
$(ARCH)/tclUnixAZ.o: $(SRC_DIR)/tclUnixAZ.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclUnixAZ.c -o $@
$(ARCH)/tclUnixStr.o: $(SRC_DIR)/tclUnixStr.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclUnixStr.c -o $@
$(ARCH)/tclUnixUtil.o: $(SRC_DIR)/tclUnixUtil.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclUnixUtil.c -o $@
$(ARCH)/regexp.o: $(SRC_DIR)/regexp.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/regexp.c -o $@
$(ARCH)/tclAsync.o: $(SRC_DIR)/tclAsync.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclAsync.c -o $@
$(ARCH)/tclBasic.o: $(SRC_DIR)/tclBasic.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclBasic.c -o $@
$(ARCH)/tclCkalloc.o: $(SRC_DIR)/tclCkalloc.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclCkalloc.c -o $@
$(ARCH)/tclCmdAH.o: $(SRC_DIR)/tclCmdAH.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclCmdAH.c -o $@
$(ARCH)/tclCmdIL.o: $(SRC_DIR)/tclCmdIL.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclCmdIL.c -o $@
$(ARCH)/tclCmdMZ.o: $(SRC_DIR)/tclCmdMZ.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclCmdMZ.c -o $@
$(ARCH)/tclExpr.o: $(SRC_DIR)/tclExpr.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclExpr.c -o $@
$(ARCH)/tclGet.o: $(SRC_DIR)/tclGet.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclGet.c -o $@
$(ARCH)/tclHash.o: $(SRC_DIR)/tclHash.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclHash.c -o $@
$(ARCH)/tclHistory.o: $(SRC_DIR)/tclHistory.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclHistory.c -o $@
$(ARCH)/tclLink.o: $(SRC_DIR)/tclLink.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclLink.c -o $@
$(ARCH)/tclParse.o: $(SRC_DIR)/tclParse.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclParse.c -o $@
$(ARCH)/tclProc.o: $(SRC_DIR)/tclProc.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclProc.c -o $@
$(ARCH)/tclUtil.o: $(SRC_DIR)/tclUtil.c 
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclUtil.c -o $@
$(ARCH)/tclVar.o: $(SRC_DIR)/tclVar.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclVar.c -o $@
$(ARCH)/tclMtherr.o: $(SRC_DIR)/tclMtherr.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/tclMtherr.c -o $@

$(ARCH)/fixstrtod.o: $(SRC_DIR)/compat/fixstrtod.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/fixstrtod.c $@
$(ARCH)/getcwd.o: $(SRC_DIR)/compat/getcwd.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/getcwd.c -o $@
$(ARCH)/opendir.o: $(SRC_DIR)/compat/opendir.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/opendir.c -o $@
$(ARCH)/strerror.o: $(SRC_DIR)/compat/strerror.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/strerror.c -o $@
$(ARCH)/strstr.o: $(SRC_DIR)/compat/strstr.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/strstr.c -o $@
$(ARCH)/strtod.o: $(SRC_DIR)/compat/strtod.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/strtod.c -o $@
$(ARCH)/strtol.o: $(SRC_DIR)/compat/strtol.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/strtol.c -o $@
$(ARCH)/strtoul.o: $(SRC_DIR)/compat/strtoul.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/strtoul.c -o $@
$(ARCH)/tmpnam.o: $(SRC_DIR)/compat/tmpnam.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/tmpnam.c -o $@
$(ARCH)/waitpid.o: $(SRC_DIR)/compat/waitpid.c
	$(CC) -c $(CC_SWITCHES) $(SRC_DIR)/compat/waitpid.c -o $@

#.c.o:
#	$(CC) -c $(CC_SWITCHES) $<

$(OBJS): $(SRC_DIR)/tcl.h $(SRC_DIR)/tclInt.h $(DIRMADE)
${UNIX_OBJS}: $(SRC_DIR)/tclPort.h
$(ARCH)/tclBasic.o: $(SRC_DIR)/patchlevel.h

$(DIRMADE):
	@if [ ! -d $(ARCH) ]; then $(MKDIR) $(ARCH); fi
	@-$(ECHO) $(DIRMADE) > $(DIRMADE)
