/*
 * exit.c ---
 *   This replaces exit() with one unlinks any temporary files that
 *   are still lying around.
 */

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

void
compat_exit(int status)
{
    OSVERSIONINFO version;
    extern int compat_unlink();

    version.dwOSVersionInfoSize = sizeof(OSVERSIONINFO);
    GetVersionEx(&version);

    compat_unlink(NULL);
    fflush(stdout);
    fflush(stderr);
    if (Tknt_GetUseSocket()) {
	WSACleanup();
    }

    ExitProcess(status);
}

