#----------------------------------------------------------------------
# common1.mak --
#
#	This file contains a configuration for Microsoft Visual C++ 2.0.
#	nmake is the Makefile parser.  This should be included by all
#	Makefiles as the first thing they do.
#----------------------------------------------------------------------

#----------------------------------------------------------------------
#------------ Make sure a known configuration is selected -------------
#----------------------------------------------------------------------
!IF "$(CFG)" == ""
!IF "x_$(BUILD)" == "x_Release"
CFG=Win32Release
!ELSE
CFG=Win32Debug
!ENDIF
!MESSAGE No configuration specified. Defaulting to Debug.
CFG=Win32Debug
!ENDIF 

!IF "$(CFG)" != "Win32Debug" && "$(CFG)" != "Win32Release"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro CFG on the command line.  For example:
!MESSAGE 
!MESSAGE NMAKE /f "Makefile" CFG="Win32Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "Win32Debug" (based on "Win32 Dynamic Link Library")
!MESSAGE "Win32Release" (based on "Win32 Dynamic Link Library")
!MESSAGE 
!ERROR Invalid configuration specified.
!ENDIF 

!IF "$(MACHINE)" == ""
MACHINE=i386
!MESSAGE No MACHINE type specified.  Defaulting to i386.
!ENDIF

!IF "$(SMARTHEAP)" != ""
!MESSAGE Using SmartHeap memory manager
!ELSE
!MESSAGE Not using SmartHeap memory manager
!ENDIF

#----------------------------------------------------------------------
# APPLICATION_NAME: The name to search for in the registry
#----------------------------------------------------------------------
APPLICATION_NAME="\"Plateau Multimedia Research Group\\CMT-3.0\""

#----------------------------------------------------------------------
# CMT_ROOT: Default place to look when registry hasn't been set
#----------------------------------------------------------------------
CMT_ROOT=\"c:/cmt-3.0\"

#----------------------------------------------------------------------
# Tool Definitions
#
# RSC    => Resource compiler
# CPP    => C/C++ compiler
# LINK   => Linker
# AR     => Librarian or library archiver
# DELDIR => Delete a directory and everything in it
# MKDIR  => Create a directory
# ECHO   => Print to stdout
#----------------------------------------------------------------------
RSC=rc.exe
CPP=cl.exe
LINK=link.exe
AR=lib
DELDIR=del /F /S /Q
RMDIR=rd
MKDIR=mkdir
ECHO=type
HC=hc31
DEL=del /F /Q

#----------------------------------------------------------------------
# DIR     => Directory where objects are placed
# DIRMADE => File that is checked for to determine if directory exists
#----------------------------------------------------------------------
DIR=$(CFG)
DIRMADE=$(DIR)\dir.made

CPP_OBJS=$(DIR)/
CPP_DEBUG=/D "_DEBUG" /Od $(CPP_DEBUG) /Zi
CPP_RELEASE=/D "NDEBUG" /O2 $(CPP_RELEASE)

CPP_INCLUDES=-I. -I../tknt/include -I../include -I../../include \
	-I../tcl -I../../tcl \
	-I../tkx -I../../tkx \
	-I../cm -I../nv -I../dp

CPP_DEFINES=-D_WINDOWS -DWIN32 -DAPPLICATION_NAME=$(APPLICATION_NAME) -DTKNT_MEMORY -DCMT_ROOT=$(CMT_ROOT)

!IF "$(SMARTHEAP)" != ""
CPP_DEFINES=-DSMARTHEAP -I$(SMARTHEAP)\include $(CPP_DEFINES)
SMARTHEAP_LIBS=$(SMARTHEAP)\msvc\shdw32m.lib
!ENDIF

!IF "$(TARGET)" == "WIN32S"
CPP_DEFINES = $(CPP_DEFINES) /D "WIN32S"
!ENDIF

# Meaning of CPP flags:
#  /W3		-- Warning level
#  /Zi		-- Debug Info
#  /YX		-- Use precompiled headers automatically
#  /MD		-- Use a DLL for libc instead of statically linking it in.
#		   Since more than one DLL shares the libc structures, this
#		   is important.
#  /FR		-- Generate browse info.  Get rid of this
#  /Fp<file>	-- Precompiled header file
#  /Fo<dir>	-- Directory in which to place object files
#  /Fd<dir>	-- Hmmm, what was this one?

CPP_FLAGS=/W3 /YX /MD /c /Fp"$(DIR)/headers.pch" \
	    /Fo"$(DIR)/" /Fd"$(DIR)/"
RSC_DEBUG=/d "_DEBUG" -I../tknt/include -I../include -I../../include
RSC_RELEASE=/d "NDEBUG" -I../tknt/include -I../include -I../../include

LINK_DEBUG=/DEBUG
LINK_RELEASE=/INCREMENTAL:no

LINK_SHARED=/NOLOGO /VERSION:7 /MACHINE:$(MACHINE)
LINK_SHARED_DLL=$(LINK_SHARED) /DLL
LINK_SHARED_CONSOLE=$(LINK_SHARED) /SUBSYSTEM:console
LINK_SHARED_WINDOWS=$(LINK_SHARED) /SUBSYSTEM:windows



