/*
 * util.h
 *
 * Copyright (c) 1994 Software Research Associates, Inc.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Software Research Associates not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  Software Research
 * Associates makes no representations about the suitability of this software
 * for any purpose.  It is provided "as is" without express or implied
 * warranty.
 */

#ifndef _X_LIB_H_
#include <X11/Xlib.h>
#endif

/* termproc.c */
extern HWND		CreateTerminal(HANDLE);
extern void		CreateTclTerminal(HANDLE, int);
extern void		DestroyTclTerminal(void);
extern void		TerminalThreadReenable(void);

/* panic.c */
extern void		panic();

/* helper.c */
extern int		Tknt_GetHasConsole(void);
extern void		Tknt_SetHasConsole(int);
extern int		Tknt_GetHasWindows(void);
extern void		Tknt_SetHasWindows(int);
extern int		Tknt_GetUseSocket(void);
extern void		Tknt_SetUseSocket(int);
extern HWND		Tknt_GetConsoleWindow(void);
extern void		Tknt_SetConsoleWindow(HWND);
#define TKNT_WIN32S	0
#define TKNT_WIN32	1

/* instance.c */
extern HINSTANCE	Tknt_GetAppInstance(void);
extern void		Tknt_SetAppInstance(HINSTANCE);
extern HWND		Tknt_GetPostWindow(void);
extern void		Tknt_SetPostWindow(HWND);
extern void		Tknt_DestroyPostWindow(void);

/* sockutil.c */
extern int		Tknt_CreateSocketPair(void *sockPair);

/* registry.c */
extern char *		Tknt_GetRegistryString(char *, char *);
