#include <windows.h>
#include "tknt_memory.h"

char *
Tknt_GetRegistryString(char *regPath, char *keyname)
{
    HKEY hkey;
    DWORD dwSize;
    DWORD dwType;
    int ret;
    char *value = NULL;

    ret = RegOpenKeyEx(HKEY_CURRENT_USER, regPath, 0, KEY_READ, &hkey);
    if (ret == ERROR_SUCCESS) {
	ret = RegQueryValueEx(hkey, keyname, NULL, &dwType, NULL, &dwSize);
	if (ret == ERROR_SUCCESS) {
	    if (dwType != REG_SZ) {
		RegCloseKey(hkey);
		return NULL;
	    }
	    value = (char *) ckalloc(dwSize);
	    if (value) {
 		ret = RegQueryValueEx(hkey, keyname, NULL, &dwType, value,
				      &dwSize);
		if (ret != ERROR_SUCCESS) {
		    ckfree((char *) value);
		    value = NULL;
		}
	    }
	}
	RegCloseKey(hkey);
    }
    if (value != NULL) {
	return value;
    }

    ret = RegOpenKeyEx(HKEY_LOCAL_MACHINE, regPath, 0, KEY_READ, &hkey);
    if (ret == ERROR_SUCCESS) {
	ret = RegQueryValueEx(hkey, keyname, NULL, &dwType, NULL, &dwSize);
	if (ret == ERROR_SUCCESS) {
	    if (dwType != REG_SZ) {
		RegCloseKey(hkey);
		return NULL;
	    }
	    value = (char *) ckalloc(dwSize);
	    if (value) {
		ret = RegQueryValueEx(hkey, keyname, NULL, &dwType, value,
				      &dwSize);
		if (ret != ERROR_SUCCESS) {
		    ckfree((char *) value);
		    value = NULL;
		}
	    }
	}
	RegCloseKey(hkey);
    }
    return value;
}
