/*
 * lxlib.c --
 *
 * Copyright (c) 1994 Software Research Associates, Inc.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Software Research Associates not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  Software Research
 * Associates makes no representations about the suitability of this software
 * for any purpose.  It is provided "as is" without express or implied
 * warranty.
 */
 
#include "xlibInt.h"

extern int cxChar, cyChar;
extern int cxFrame, cyFrame, cyCaption, cxVScroll;
extern int cxDiff, cyDiff;

/*
 *----------------------------------------------------------------------
 *
 * DllMain --
 *
 *	Handle DLL messages here.  Initialization and cleanup
 *	can be handled here.
 *
 * Return:
 *	1
 *
 * Side Effects:
 *	None
 *----------------------------------------------------------------------
 */
INT WINAPI
DllMain(HANDLE hInstance, ULONG ul_reason_being_called, LPVOID lpReserved)
{
    if (ul_reason_being_called == DLL_PROCESS_ATTACH) {
	Lx_SetDefaultCursor(LoadCursor(0, IDC_ARROW));
	Lx_InitAdjustment();

	if (Tknt_GetHasConsole() == 0) {
	    HDC hdc;
	    TEXTMETRIC tm;

	    hdc = GetDC((HWND) 0);
	    SelectObject(hdc, GetStockObject(SYSTEM_FIXED_FONT));
	    GetTextMetrics(hdc, &tm);
	    ReleaseDC((HWND) 0, hdc);
	    cxChar = tm.tmAveCharWidth;
	    cyChar = tm.tmHeight;
	    cxFrame = GetSystemMetrics(SM_CXFRAME);
	    cyFrame = GetSystemMetrics(SM_CYFRAME);
	    cyCaption = GetSystemMetrics(SM_CYCAPTION);
	    cxVScroll = GetSystemMetrics(SM_CXVSCROLL);
	    cxDiff = cxFrame * 2;
	    cyDiff = cyCaption + (cyFrame * 2);
	}
    }

    return 1;
}

