GenerateNotifyEvents(Display *display, HWND hcurwnd, HWND hprevwnd, 
		     void fcnCreateInNotify(HWND, int, int, int),
		     void fcnCreateOutNotify(HWND, int, int, int))

{
    HWND hwnd1, hwnd2;
    int nomem = 0;
    static int szHwndChain = 0;
    static HWND *hwndChain = NULL;

    for (nmWin = 0, hwnd1 = hcurwnd;
	 hwnd1 != HWND_DESKTOP && hwnd1 != hprevwnd; 
   	    hwnd1 = GetParent(hwnd1))
    {
	if (nomem) {
	    continue;
	}
	GetClassName(hwnd1, className, sizeof(className));
	if (strcmp(className, "TopLevel") == 0) {
	    hwnd1 = HWND_DESKTOP;
	    break;
	}
	if (nmWin >= szHwndChain) {
	    HWND *newChain;
	    int szNewChain;

	    szNewChain = szHwndChain + 20;
	    newChain = (HWND *) ckalloc(sizeof(HWND) * szNewChain);
	    if (newChain == NULL) {
		nomem = 1;
	    } else {
		if (hwndChain) {
		    memcpy(newChain, hwndChain, szHwndChain * sizeof(HWND));
		    ckfree(hwndChain);
		}
		szHwndChain = szNewChain;
		hwndChain = newChain;
	    }
	}
	hwndChain[nmWin] = hwnd1;
	nmWin++;
    }

    for (hwnd2 = hprevwnd; hwnd2 != HWND_DESKTOP && hwnd2 != hcurwnd;
	 hwnd2 = GetParent(hwnd2))
    {
	GetClassName(hwnd2, className, sizeof(className));
	if (strcmp(className, "TopLevel") == 0) {
	    hwnd2 = HWND_DESKTOP;
	    break;
	}
    }

    if (hwnd1 == HWND_DESKTOP && hwnd2 == HWND_DESKTOP) {
	/* This is a crossing between two non-ancestorial windows.
	 * We still need to generate the NotifyNonlinearVirtual
	 * Leave and Enter events
	 */
	HWND hwndCommon = NULL;
	int i, j;

	/* Find a common ancestor */
	for (hwnd2 = hprevwnd;
	     hwnd2 != HWND_DESKTOP && hwnd2 != hcurwnd;
	     hwnd2 = GetParent(hwnd2))
	{
	    for (i = 0; i < nmWin; i++) {
		if (hwndChain[i] == hwnd2) {
		    hwndCommon = hwndChain[i];
		    break;
		}
	    }
	    if (hwndCommon) {
		break;
	    }
	}
    	CreateLeaveNotify(hprevwnd, prev_x, prev_y, NotifyNonlinear);
	if (hwndCommon) {
	    /* Found a common ancestor.  Now we need to generate all
	     * the NotifyNonlinearVirtual event types
	     */
	    for (hwnd2 = GetParent(hprevwnd);
		 hwnd2 != hwndCommon;
		 hwnd2 = GetParent(hwnd2))
	    {
		CreateLeaveNotify(hwnd2, x, y, NotifyNonlinearVirtual);
	    }
	    for (j = i - 1; j > 0; j--) {
		CreateEnterNotify(hwndChain[j], x, y, NotifyNonlinearVirtual);
	    }
	}
	CreateEnterNotify(hcurwnd, x, y, NotifyNonlinear);
    } else {
	/* This is a crossing between two related windows.
	 * Normally, this means that they is only one type of
	 * notification: Enter or Leave, not both.  However, in
	 * the case of a toplevel in the tree somewhere,*/
	if (hwnd1 == HWND_DESKTOP) {
	    /* hcurwnd is the superior */
	    CreateLeaveNotify(hprevwnd, x, y, NotifyInferior);
	    for (hwnd2 = hprevwnd; hwnd2 != hcurwnd;
		 hwnd2 = GetParent(hwnd2))
	    {
		CreateLeaveNotify(hwnd2, x, y, NotifyVirtual);
	    }
	} else {
	    /* hprevwnd is the superior */
	    CreateEnterNotify(hcurwnd, x, y, NotifyAncestor);
	    for (hwnd1 = hcurwnd; hwnd1 != hprevwnd;
		 hwnd1 = GetParent(hwnd1))
	    {
		CreateEnterNotify(hwnd1, x, y, NotifyVirtual);
	    }
	}
    }
}
