/* xlibInt.h
 * The purpose for this file is to get most files to use the precompiled
 * header.  This speeds up compilation time dramatically
 */
#ifdef KANJI 
#include <mbstring.h>
#endif /* KANJI */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <limits.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include "xhash.h"
#include "xcolor.h"
#include <math.h>
#include "util.h"
#include "wndproc.h"
#include <winsock.h>
#include "tknt_memory.h"


#define LX_CONVERTPIXEL(pix) \
	((lx_ScreenDepth == 8) ? (PALETTEINDEX(pix)) : (pix))

struct _XRegion {
    HRGN hrgn;			/* Windows region */
};

typedef struct {
    XSetWindowAttributes setWinAttrs;
    XWindowChanges winChanges;
    HCURSOR cursor;
    HCURSOR prevCursor;
    FARPROC defaultWinProc;
    BOOLEAN toplevel;
} Lx_WindowEntry;

typedef struct {
    HPALETTE hPal;
    HPALETTE hPalPrev;
    HBITMAP  hBmpPrev;
    Lx_PixElem *pixInfo;
} Lx_DrawableDCState;


XSetWindowAttributes    lx_DefWindowAttrs;
XWindowChanges		lx_DefWindowChanges;
extern Atom		lx_selectionAtom;
extern int		lx_ScreenDepth;	/* Depth for the screen */
extern int		lx_NoColorUpdate;
extern int		lx_PointerGrabbed;
extern Window		lx_GrabbedWindow;

/* adjust.c */
extern void		Lx_InitAdjustment(void);
extern int		Lx_AdjustWidth(int, int);
extern int		Lx_AdjustHeight(int, int);
extern int		Lx_ReAdjustWidth(int, int);
extern int		Lx_ReAdjustHeight(int, int);
extern int		Lx_AdjustX(int, int);
extern int		Lx_AdjustY(int, int);
extern int		Lx_ReAdjustX(int, int);
extern int		Lx_ReAdjustY(int, int);

/* callback.c */
extern void		Lx_EnterLeave(HWND, int, int, int);
extern void		Lx_GenerateFocusEvents(Display *, HWND, HWND, int);
extern void		Lx_CheckAndResetFocus(Display *display, HWND destroy);
extern void		Lx_GenerateCrossingEvents(Display *, HWND, HWND,
						  int, int, int);
extern LRESULT CALLBACK	DeliverEnterLeave(int, WPARAM, LPARAM);
extern void		SetHookDeliverEL(HHOOK);

/* chain.c  */
extern XEvent *		Lx_GetEvent(Display *, XEvent *);
extern XEvent *		Lx_GetFileEvent(Display *, XEvent *);
extern XEvent *		Lx_GetTimerEvent(Display *, XEvent *);
extern XEvent *		Lx_PeekEvent(Display *, _XQEvent *, XEvent *);
extern XEvent *		Lx_PeekFileEvent(Display *, _XQEvent *, XEvent *);
extern XEvent *		Lx_PeekTimerEvent(Display *, _XQEvent *, XEvent *);
extern void		Lx_DiscardEvent(Display *, _XQEvent *);
extern void		Lx_DiscardFileEvent(Display *, _XQEvent *);
extern void		Lx_DiscardTimerEvent(Display *, _XQEvent *);
extern _XQEvent *	Lx_PutEvent(Display *, XEvent *);
extern _XQEvent *	Lx_PutFileEvent(Display *, XEvent *);
extern _XQEvent *	Lx_PutTimerEvent(Display *, XEvent *);
extern _XQEvent *	Lx_PutbackEvent(Display *, XEvent *);

/* cursor.c */
extern void		Lx_SetDefaultCursor(HCURSOR);
extern HCURSOR		Lx_FindCursor(HWND);

/* icon.c */
extern void 		Lx_SetIcon(Display *, HWND, void *);
extern void 		Lx_UpdateIcon(Display *, HWND);
extern HICON		Lx_GetIcon(Display *, HWND);

/* msg2event.c */
extern short		Lx_MsgGetState(int);
extern int		Lx_MsgToEvent(Display *, MSG *, XEvent *);

/* xwindow.c */
extern unsigned char	Lx_SetWindowChanges(HWND, unsigned long, XWindowChanges *);
extern unsigned char	Lx_SetWindowAttributes(HWND, unsigned long, XSetWindowAttributes *);
extern HPALETTE		Lx_GetDrawablePalette(Drawable);
extern Lx_WindowEntry *	Lx_NewWindowHashEntry(HWND);
extern Lx_WindowEntry *	Lx_GetWindowHashEntry(HWND hwnd);
extern void		Lx_FreeWindowHashEntry(HWND hwnd);

/* xevent.c */
extern int		Lx_CheckSendMessage(Window w, int type);
extern void		Lx_AddConfigureNotify(Window, Window, int, int, int, int);

/* xpixmap.c */
extern int		Lx_IsPixmap(Drawable);
extern Window		Lx_GetDrawableWindow(Drawable);
extern Lx_PixElem *	Lx_FindPixmap(Drawable);

/* xseterrh.c */
extern void		Lx_PostError(unsigned char, HWND);

/* xsetselo.c */
extern void		Lx_GenerateSelectionClear(Display *, Window);

/* xgraphic.c */
extern HDC		Lx_GetDrawableDC(Drawable, Lx_DrawableDCState *);
extern void		Lx_ReleaseDrawableDC(HWND, HDC, Lx_DrawableDCState *);

/* xcolor.c */
extern void		Lx_UpdatePaletteColors(HWND);

/* region.c */
extern Region		Lx_CopyRegion(Region src);

/* wndproc.c */
extern LRESULT CALLBACK ScrollbarProc(HWND, UINT, WPARAM, LPARAM);
