# Generated automatically from Makefile.in by configure.
#
# This file is a Makefile for Tk.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.

# Current Tk version;  used in various names.

VERSION = 4.0

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/usr/local
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory where the CMT tree will be placed.  Library files go under
# this directory.
CMT_ROOT =	/usr/lib/cmt-3.0

# Directory in which to install the library of Tk scripts and demos
# (note: you can set the CMT_ROOT environment variable at run-time to
# override the compiled-in location):
TK_LIBRARY =	$(CMT_ROOT)/tk$(VERSION)

# Path name to use when installing library scripts:
SCRIPT_INSTALL_DIR =	$(INSTALL_ROOT)$(TK_LIBRARY)

# Directory in which to install the archive libtk.a:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory from which the program wish should be referenced by scripts:
BIN_DIR =		$(exec_prefix)/bin

# Directory in which to install the include file tk.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory for manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Directory in which to install manual entry for wish:
MAN1_INSTALL_DIR =	$(MAN_INSTALL_DIR)/man1

# Directory in which to install manual entries for Tk's C library
# procedures:
MAN3_INSTALL_DIR =	$(MAN_INSTALL_DIR)/man3

# Directory in which to install manual entries for the built-in
# Tcl commands implemented by Tk:
MANN_INSTALL_DIR =	$(MAN_INSTALL_DIR)/mann

# The directory containing the Tcl sources and headers appropriate
# for this version of Tk ("." will be replaced or has already
# been replaced by the configure script):
TCL_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl

# The directory containing the Tcl library archive file appropriate
# for this version of Tk:
TCL_BIN_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH)

# The directory containing the Tcl-DP sources and headers appropriate
# for this version of Tcm ("." will be replaced or has already
# been replaced by the configure script):
DP_DIR =	/x/FreeWare/X11/cmt-3.0b3/lib/dp

# A "-I" switch that can be used when compiling to make all of the
# X11 include files accessible (the configure script will try to
# set this value, and will cause it to be an empty string if the
# include files are accessible via /usr/include).
X11_INCLUDES =	# no special path needed

# Linker switch(es) to use to link with the X11 library archive (the
# configure script will try to set this value automatically, but you
# can override it).
X11_LIB_DIR =	
X11_LIB = 	-lX11

# Shared library stuff
#
#SHLIB_CCFLAGS	= 
#SHLIB_TKLDFLAGS	=  -h $(SHARED_TKLIB_BASE)
#SHLIB_TKXLDFLAGS	=  -h $(SHARED_TKXLIB_BASE)
#SHLIB_LOADER	= 
#SHLIB_SUFFIX	= 
#SHARED_TKLIB_BASE	= libtk$(SHLIB_SUFFIX)
#SHARED_TKLIB	= $(ARCH)/$(SHARED_TKLIB_BASE)
#TKDEPLIB	= $(SHARED_TKLIB)
#SHARED_TKXLIB_BASE = libtkx$(SHLIB_SUFFIX)
#SHARED_TKXLIB	= $(ARCH)/$(SHARED_TKXLIB_BASE)
#TKXDEPLIB	= $(SHARED_TKXLIB)
# bug: I'm not sure if -R will confuse non-Solaris linkers
#TKLIB		= -L$(ARCH) -R/x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH) -ltk
#TKXLIB		= -L$(ARCH) -R/x/FreeWare/X11/cmt-3.0b3/lib/tkx/$(ARCH) -ltkx
#TCLDEPLIB	= $(TCL_DIR)/libtcl.so
# bug: should use -l syntax, but might find wrong one
#TCLLIB		= -R/x/FreeWare/X11/cmt-3.0b3/lib/tcl/$(ARCH) $(TCLDEPLIB)

TKDEPLIB	= $(ARCH)/libtk.a
TKLIB		= -L$(ARCH) -ltk
TKDEPLIB	= $(ARCH)/libtkx.a
TKLIB		= -L$(ARCH) -ltkx
TCLDEPLIB	= $(TCL_DIR)/libtcl.a
TCLLIB		= $(TCLDEPLIB)

# Libraries to use when linking:  must include at least Tk, Tcl, Xlib,
# and the math library (in that order).  The " -lsocket -lnsl -ldl -lm" part will be
# replaced (or has already been replaced) with relevant libraries as
# determined by the configure script.
DEPLIBS	= $(TKDEPLIB) $(TCLDEPLIB)
LIBS	= $(TKLIB) $(TCLLIB) $(X11_LIB_DIR) $(X11_LIB)  -lsocket -lnsl -ldl -lm -lm

# To turn off the security checks that disallow incoming sends when
# the X server appears to be insecure, reverse the comments on the
# following lines:
SECURITY_FLAGS =
#SECURITY_FLAGS = -DTK_NO_SECURITY

# To disable ANSI-C procedure prototypes reverse the comment characters
# on the following lines:
PROTO_FLAGS =
#PROTO_FLAGS = -DNO_PROTOTYPE

# To enable memory debugging reverse the comment characters on the following
# lines.  Warning:  if you enable memory debugging, you must do it
# *everywhere*, including all the code that calls Tcl, and you must use
# ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
#MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

# Multi-architecture support
DIRMADE=	$(ARCH)/dir.made
MKDIR=		mkdir
ECHO=		echo

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

CC =			cc -belf
AC_FLAGS =		 -DTCM_PRIORITY=1 -DSECURE_CMT=1 -DHAVE_FCNTL_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MEMORY_H=1 -DHAVE_ERRNO_H=1 -DHAVE_LIMITS_H=1 -DUNIX_SOCKET=1 -DHAVE_TOLOWER=1 -DHAVE_NTOHL=1 -DHAVE_HTONL=1 -DNO_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DNEED_MATHERR=1 -DHAVE_SHARED_MEMORY=1 -DTK_FILE_COUNT=__cnt -DTK_FILE_COUNT=__cnt -DAF_DEFAULT=1 -DJPEG_SW=1 -DJPEG_SW_DEFAULT=1 -DMPEG_SW_DEVICE=1 -DMPEG_SW_DEFAULT=1 -DH261_SW=1 
INSTALL =		/usr/bin/X11/scoinst -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
RANLIB =		ranlib
ARCH =			sco
CONFIG_STATUS =		/x/FreeWare/X11/cmt-3.0b3/config.status.sco
MAKEFILE_ARCH = 	Makefile.sco
SRC_DIR =		.

#---------------------------------------------------------------------------
# This info is modified by the top level configure to create the Makefile.in
# that then gets passed through the configure at this level
#---------------------------------------------------------------------------
COPTS= -O

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CFLAGS = ${COPTS}
CC_SWITCHES =	${CFLAGS} ${SHLIB_CCFLAGS} -I${SRC_DIR} -I${TCL_DIR} -I${DP_DIR} \
${X11_INCLUDES} \
${AC_FLAGS} ${PROTO_FLAGS} ${SECURITY_FLAGS} ${MEM_DEBUG_FLAGS} \
-DCMT_ROOT=\"$(CMT_ROOT)\"

WIDGOBJS = $(ARCH)/tkButton.o $(ARCH)/tkEntry.o \
	$(ARCH)/tkFrame.o $(ARCH)/tkListbox.o \
	$(ARCH)/tkMenu.o $(ARCH)/tkMenubutton.o \
	$(ARCH)/tkMessage.o $(ARCH)/tkScale.o \
	$(ARCH)/tkScrollbar.o

CANVOBJS = $(ARCH)/tkCanvas.o $(ARCH)/tkCanvArc.o \
	$(ARCH)/tkCanvBmap.o $(ARCH)/tkCanvImg.o \
	$(ARCH)/tkCanvLine.o $(ARCH)/tkCanvPoly.o \
	$(ARCH)/tkCanvPs.o $(ARCH)/tkCanvText.o \
	$(ARCH)/tkCanvUtil.o $(ARCH)/tkCanvWind.o \
	$(ARCH)/tkRectOval.o $(ARCH)/tkTrig.o

IMAGEOBJS = $(ARCH)/tkImage.o $(ARCH)/tkImgBmap.o \
	$(ARCH)/tkImgFmtGIF.o $(ARCH)/tkImgFmtPPM.o $(ARCH)/tkImgPhoto.o

TEXTOBJS = $(ARCH)/tkText.o $(ARCH)/tkTextBTree.o \
	$(ARCH)/tkTextDisp.o $(ARCH)/tkTextIndex.o \
	$(ARCH)/tkTextMark.o $(ARCH)/tkTextTag.o $(ARCH)/tkTextWind.o

TK_EVENTOBJS = $(ARCH)/tcmEvent.o $(ARCH)/tcmPG.o \
	$(ARCH)/tcmAtQ.o $(ARCH)/tcmFileHndlr.o $(ARCH)/tcmIdle.o

TK_OBJS = $(ARCH)/heap.o $(ARCH)/tkxInit.o $(ARCH)/tk3d.o \
	$(ARCH)/tkArgv.o $(ARCH)/tkAtom.o $(ARCH)/tkBind.o \
	$(ARCH)/tkBitmap.o $(ARCH)/tkClipboard.o $(ARCH)/tkCmds.o \
	$(ARCH)/tkColor.o $(ARCH)/tkConfig.o $(ARCH)/tkCursor.o \
	$(ARCH)/tkError.o $(ARCH)/tkFocus.o $(ARCH)/tkFont.o \
	$(ARCH)/tkGet.o $(ARCH)/tkGC.o $(ARCH)/tkGeometry.o \
	$(ARCH)/tkGrab.o $(ARCH)/tkMain.o $(ARCH)/tkOption.o \
	$(ARCH)/tkPack.o $(ARCH)/tkPlace.o $(ARCH)/tkPreserve.o \
	$(ARCH)/tkSelect.o $(ARCH)/tkSend.o $(ARCH)/tkUnix.o \
	$(ARCH)/tkUtil.o $(ARCH)/tkVisual.o $(ARCH)/tkWindow.o \
	$(ARCH)/tkWm.o $(ARCH)/tkXEvent.o $(ARCH)/tkXId.o \
	$(ARCH)/tcmXProbe.o $(ARCH)/tkTScale.o \
	$(WIDGOBJS) $(CANVOBJS) $(IMAGEOBJS) $(TEXTOBJS) $(TK_EVENTOBJS)

TKX_OBJS = $(ARCH)/heap.o $(ARCH)/tkxInit_tkx.o $(ARCH)/tkArgv_tkx.o \
	$(ARCH)/tkGet.o $(ARCH)/tkOption.o $(ARCH)/tkPreserve.o $(TK_EVENTOBJS)

TEXTOBJS = $(ARCH)/tkText.o $(ARCH)/tkTextBTree.o $(ARCH)/tkTextDisp.o \
	$(ARCH)/tkTextIndex.o $(ARCH)/tkTextMark.o $(ARCH)/tkTextTag.o \
	$(ARCH)/tkTextWind.o

SRCS = tk3d.c tkArgv.c tkAtom.c tkBind.c tkBitmap.c tkClipboard.c tkCmds.c \
	tkColor.c tkConfig.c tkCursor.c tkError.c tkEvent.c \
	tkFocus.c tkFont.c tkGet.c tkGC.c tkGeometry.c tkGrab.c \
	tkMain.c tkOption.c tkPack.c tkPlace.c \
	tkPreserve.c tkSelect.c tkSend.c tkUnix.c tkUtil.c tkVisual.c \
	tkWindow.c tkWm.c tkXEvent.c tkXId.c \
	tkButton.c tkEntry.c tkFrame.c tkListbox.c \
	tkMenu.c tkMenubutton.c tkMessage.c tkScale.c tkTScale.c \
	tkScrollbar.c tkCanvas.c tkCanvArc.c tkCanvBmap.c tkCanvImg.c \
	tkCanvLine.c tkCanvPoly.c tkCanvPs.c tkCanvText.c \
	tkCanvUtil.c tkCanvWind.c tkRectOval.c tkTrig.c \
	tkImage.c tkImgBmap.c tkImgFmtGIF.c tkImgFmtPPM.c tkImgPhoto.c \
	tkText.c tkTextBTree.c tkTextDisp.c tkTextIndex.c \
	tkTextMark.c tkTextTag.c tkTextWind.c tkAppInit.c \
	tkSquare.c tkTest.c

HDRS = default.h ks_names.h patchlevel.h tk.h tkCanvas.h tkInt.h  \
	tkPort.h tkText.h

DEMOPROGS = browse hello ixset rmt rolodex square tcolor timer widget

all: $(MAKEFILE_ARCH) $(ARCH)/libtk.a $(ARCH)/libtkx.a $(SHARED_TKLIB) $(SHARED_TKXLIB)

$(MAKEFILE_ARCH): $(SRC_DIR)/Makefile.in
	$(SHELL) $(CONFIG_STATUS)
	$(MAKE) -f $@ $(MFLAGS)

$(ARCH)/libtkx.a: $(TKX_OBJS)
	rm -f $@
	ar cr $@ $(TKX_OBJS)
	$(RANLIB) $@

$(ARCH)/libtk.a: $(TK_OBJS)
	rm -f $@
	ar cr $@ $(TK_OBJS)
	$(RANLIB) $@

$(ARCH)/wish: $(ARCH)/tkAppInit.o $(DEPLIBS)
	$(CC) $(CC_SWITCHES) $(ARCH)/tkAppInit.o $(LIBS) -o $@

$(ARCH)/tktest: $(ARCH)/tkTest.o $(DEPLIBS)
	${CC} ${CC_SWITCHES} $(ARCH)/tkTest.o $(LIBS) -o $@

# shared lib targets
#$(SHARED_TKXLIB): $(TKX_OBJS)
#	rm -f $@
#	$(SHLIB_LOADER) $(SHLIB_TKXLDFLAGS) -o $@ $(TKX_OBJS)
##	rm -f $(ARCH)/libtkx.so
##	ln -s $(SHARED_TKXLIB_BASE) $(ARCH)/libtkx.so

#$(SHARED_TKLIB): $(TK_OBJS)
#	rm -f $@
#	$(SHLIB_LOADER) $(SHLIB_TKLDFLAGS) -o $@ $(TK_OBJS)
##	rm -f $(ARCH)/libtk.so
##	ln -s $(SHARED_TKLIB_BASE) $(ARCH)/libtk.so

test: $(ARCH)/tktest
	@cwd=`pwd`; \
	cd $(TCL_DIR); TCL_LIBRARY=`pwd`/library; export TCL_LIBRARY; \
	cd $$cwd; cd $(SRC_DIR); TK_LIBRARY=`pwd`/library; export TK_LIBRARY; \
	cd $$cwd; ( echo cd $(SRC_DIR)/tests\; source all\; exit ) | ./$(ARCH)/tktest

install:;
	rm -rf /usr/lib/cmt-3.0/tk$(VERSION);
	mkdir /usr/lib/cmt-3.0/tk$(VERSION);
	cp -r library/* /usr/lib/cmt-3.0/tk$(VERSION)/

install-binaries: $(ARCH)/libtk.a $(ARCH)/wish
	@for i in $(LIB_DIR) $(BIN_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing libtk.a"
	@$(INSTALL_DATA) $(ARCH)/libtk.a $(LIB_DIR)
	@$(RANLIB) $(LIB_DIR)/libtk.a
	@echo "Installing wish"
	@$(INSTALL_PROGRAM) $(ARCH)/wish $(BIN_DIR)

install-libraries:
	@for i in $(INCLUDE_DIR) $(TK_LIBRARY) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing tk.h"
	@$(INSTALL_DATA) $(SRC_DIR)/tk.h $(INCLUDE_DIR)
	@cd $(SRC_DIR)/library; for i in *.tcl tclIndex prolog.ps; \
	    do \
	    echo "Installing library/$$i"; \
	    $(INSTALL_DATA) $$i $(TK_LIBRARY); \
	    done;

install-demos:
	@for i in $(TK_LIBRARY)/demos $(TK_LIBRARY)/demos/bitmaps ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@cd $(SRC_DIR)/library/demos; for i in *; \
	    do \
	    if [ -f $$i ] ; then \
		echo "Installing library/demos/$$i"; \
		sed -e '1 s|/usr/local/bin/wish|$(BIN_DIR)/wish|' \
			$$i > $(TK_LIBRARY)/demos/$$i; \
	    fi; \
	    done;
	@for i in $(DEMOPROGS); \
	    do \
	    chmod 755 $(TK_LIBRARY)/demos/$$i; \
	    done;
	@cd $(SRC_DIR)/library/demos/bitmaps; for i in *; \
	    do \
	    echo "Installing library/demos/bitmaps/$$i"; \
	    $(INSTALL_DATA) $$i $(TK_LIBRARY)/demos/bitmaps; \
	    done;

install-man:
	@for i in $(MAN_DIR) $(MAN1_DIR) $(MAN3_DIR) $(MANN_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@cd $(SRC_DIR)/doc; for i in *.1; \
	    do \
	    echo "Installing doc/$$i"; \
	    rm -f $(MAN1_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MAN1_DIR)/$$i; \
	    chmod 444 $(MAN1_DIR)/$$i; \
	    done;
	@cd $(SRC_DIR)/doc; for i in *.3; \
	    do \
	    echo "Installing doc/$$i"; \
	    rm -f $(MAN3_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MAN3_DIR)/$$i; \
	    chmod 444 $(MAN3_DIR)/$$i; \
	    done;
	@cd $(SRC_DIR)/doc; for i in *.n; \
	    do \
	    echo "Installing doc/$$i"; \
	    rm -f $(MANN_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MANN_DIR)/$$i; \
	    chmod 444 $(MANN_DIR)/$$i; \
	    done;

clean:
	rm -f *.a *.o core errs *~ \#* TAGS *.E a.out errors tktest wish
	rm -f $(ARCH)/*.a $(ARCH)/*.o $(ARCH)/core $(ARCH)/a.out $(DIRMADE) \
		$(ARCH)/tktest $(ARCH)/wish
	if [ "$(ARCH)" != "." -a -d $(ARCH) ]; then rmdir $(ARCH); fi

distclean: clean
	rm -f Makefile $(MAKEFILE_ARCH) config.status

#.c.o:
#	$(CC) -c $(CC_SWITCHES) $<

# Specially handled
$(ARCH)/tkxInit_tkx.o: tkxInit.c
	$(CC) -c $(CC_SWITCHES) -DNO_X11 tkxInit.c -o $@
$(ARCH)/tcmEvent_tkx.o: tcmEvent.c
	$(CC) -c $(CC_SWITCHES) -DNO_X11 tcmEvent.c -o $@
$(ARCH)/tkArgv_tkx.o: tkArgv.c
	$(CC) -c $(CC_SWITCHES) -DNO_X11 tkArgv.c -o $@


$(OBJS) $(ARCH)/tkTest.o: tk.h tkInt.h tkConfig.h
$(WIDGOBJS): default.h
$(CANVOBJS): default.h tkCanvas.h
$(TEXTOBJS): default.h tkText.h
$(ARCH)/tkWindow.o: patchlevel.h


# DO NOT CHANGE -- C to O dependencies

$(ARCH)/tkxInit.o: tkxInit.c
	$(CC) -c $(CC_SWITCHES) tkxInit.c -o $@
$(ARCH)/tkButton.o: tkButton.c
	$(CC) -c $(CC_SWITCHES) tkButton.c -o $@
$(ARCH)/tkEntry.o: tkEntry.c
	$(CC) -c $(CC_SWITCHES) tkEntry.c -o $@
$(ARCH)/tkFrame.o: tkFrame.c
	$(CC) -c $(CC_SWITCHES) tkFrame.c -o $@
$(ARCH)/tkListbox.o: tkListbox.c
	$(CC) -c $(CC_SWITCHES) tkListbox.c -o $@
$(ARCH)/tkMenu.o: tkMenu.c
	$(CC) -c $(CC_SWITCHES) tkMenu.c -o $@
$(ARCH)/tkMenubutton.o: tkMenubutton.c
	$(CC) -c $(CC_SWITCHES) tkMenubutton.c -o $@
$(ARCH)/tkMessage.o: tkMessage.c
	$(CC) -c $(CC_SWITCHES) tkMessage.c -o $@
$(ARCH)/tkScale.o: tkScale.c
	$(CC) -c $(CC_SWITCHES) tkScale.c -o $@
$(ARCH)/tkTScale.o: tkTScale.c
	$(CC) -c $(CC_SWITCHES) tkTScale.c -o $@
$(ARCH)/tkScrollbar.o: tkScrollbar.c
	$(CC) -c $(CC_SWITCHES) tkScrollbar.c -o $@
$(ARCH)/tkCanvas.o: tkCanvas.c
	$(CC) -c $(CC_SWITCHES) tkCanvas.c -o $@
$(ARCH)/tkCanvArc.o: tkCanvArc.c
	$(CC) -c $(CC_SWITCHES) tkCanvArc.c -o $@
$(ARCH)/tkCanvBmap.o: tkCanvBmap.c
	$(CC) -c $(CC_SWITCHES) tkCanvBmap.c -o $@
$(ARCH)/tkCanvImg.o: tkCanvImg.c
	$(CC) -c $(CC_SWITCHES) tkCanvImg.c -o $@
$(ARCH)/tkCanvLine.o: tkCanvLine.c
	$(CC) -c $(CC_SWITCHES) tkCanvLine.c -o $@
$(ARCH)/tkCanvPoly.o: tkCanvPoly.c
	$(CC) -c $(CC_SWITCHES) tkCanvPoly.c -o $@
$(ARCH)/tkCanvPs.o: tkCanvPs.c
	$(CC) -c $(CC_SWITCHES) tkCanvPs.c -o $@
$(ARCH)/tkCanvText.o: tkCanvText.c
	$(CC) -c $(CC_SWITCHES) tkCanvText.c -o $@
$(ARCH)/tkCanvUtil.o: tkCanvUtil.c
	$(CC) -c $(CC_SWITCHES) tkCanvUtil.c -o $@
$(ARCH)/tkCanvWind.o: tkCanvWind.c
	$(CC) -c $(CC_SWITCHES) tkCanvWind.c -o $@
$(ARCH)/tkRectOval.o: tkRectOval.c
	$(CC) -c $(CC_SWITCHES) tkRectOval.c -o $@
$(ARCH)/tkTrig.o: tkTrig.c
	$(CC) -c $(CC_SWITCHES) tkTrig.c -o $@
$(ARCH)/tkImage.o: tkImage.c
	$(CC) -c $(CC_SWITCHES) tkImage.c -o $@
$(ARCH)/tkImgBmap.o: tkImgBmap.c
	$(CC) -c $(CC_SWITCHES) tkImgBmap.c -o $@
$(ARCH)/tkImgFmtGIF.o: tkImgFmtGIF.c
	$(CC) -c $(CC_SWITCHES) tkImgFmtGIF.c -o $@
$(ARCH)/tkImgFmtPPM.o: tkImgFmtPPM.c
	$(CC) -c $(CC_SWITCHES) tkImgFmtPPM.c -o $@
$(ARCH)/tkImgPhoto.o: tkImgPhoto.c
	$(CC) -c $(CC_SWITCHES) tkImgPhoto.c -o $@
$(ARCH)/tkText.o: tkText.c
	$(CC) -c $(CC_SWITCHES) tkText.c -o $@
$(ARCH)/tkTextBTree.o: tkTextBTree.c
	$(CC) -c $(CC_SWITCHES) tkTextBTree.c -o $@
$(ARCH)/tkTextDisp.o: tkTextDisp.c
	$(CC) -c $(CC_SWITCHES) tkTextDisp.c -o $@
$(ARCH)/tkTextIndex.o: tkTextIndex.c
	$(CC) -c $(CC_SWITCHES) tkTextIndex.c -o $@
$(ARCH)/tkTextMark.o: tkTextMark.c
	$(CC) -c $(CC_SWITCHES) tkTextMark.c -o $@
$(ARCH)/tkTextTag.o: tkTextTag.c
	$(CC) -c $(CC_SWITCHES) tkTextTag.c -o $@
$(ARCH)/tkTextWind.o: tkTextWind.c
	$(CC) -c $(CC_SWITCHES) tkTextWind.c -o $@
$(ARCH)/tcmPG.o: tcmPG.c
	$(CC) -c $(CC_SWITCHES) tcmPG.c -o $@
$(ARCH)/tcmAtQ.o: tcmAtQ.c
	$(CC) -c $(CC_SWITCHES) tcmAtQ.c -o $@
$(ARCH)/tcmFileHndlr.o: tcmFileHndlr.c
	$(CC) -c $(CC_SWITCHES) tcmFileHndlr.c -o $@
$(ARCH)/tcmIdle.o: tcmIdle.c
	$(CC) -c $(CC_SWITCHES) tcmIdle.c -o $@
$(ARCH)/tcmEvent.o: tcmEvent.c
	$(CC) -c $(CC_SWITCHES) tcmEvent.c -o $@
$(ARCH)/tk3d.o: tk3d.c
	$(CC) -c $(CC_SWITCHES) tk3d.c -o $@
$(ARCH)/tkArgv.o: tkArgv.c
	$(CC) -c $(CC_SWITCHES) tkArgv.c -o $@
$(ARCH)/tkAtom.o: tkAtom.c
	$(CC) -c $(CC_SWITCHES) tkAtom.c -o $@
$(ARCH)/tkBind.o: tkBind.c
	$(CC) -c $(CC_SWITCHES) tkBind.c -o $@
$(ARCH)/tkBitmap.o: tkBitmap.c
	$(CC) -c $(CC_SWITCHES) tkBitmap.c -o $@
$(ARCH)/tkClipboard.o: tkClipboard.c
	$(CC) -c $(CC_SWITCHES) tkClipboard.c -o $@
$(ARCH)/tkCmds.o: tkCmds.c
	$(CC) -c $(CC_SWITCHES) tkCmds.c -o $@
$(ARCH)/tkColor.o: tkColor.c
	$(CC) -c $(CC_SWITCHES) tkColor.c -o $@
$(ARCH)/tkConfig.o: tkConfig.c
	$(CC) -c $(CC_SWITCHES) tkConfig.c -o $@
$(ARCH)/tkCursor.o: tkCursor.c
	$(CC) -c $(CC_SWITCHES) tkCursor.c -o $@
$(ARCH)/tkError.o: tkError.c
	$(CC) -c $(CC_SWITCHES) tkError.c -o $@
$(ARCH)/tkFocus.o: tkFocus.c
	$(CC) -c $(CC_SWITCHES) tkFocus.c -o $@
$(ARCH)/tkFont.o: tkFont.c
	$(CC) -c $(CC_SWITCHES) tkFont.c -o $@
$(ARCH)/tkGet.o: tkGet.c
	$(CC) -c $(CC_SWITCHES) tkGet.c -o $@
$(ARCH)/tkGC.o: tkGC.c
	$(CC) -c $(CC_SWITCHES) tkGC.c -o $@
$(ARCH)/tkGeometry.o: tkGeometry.c
	$(CC) -c $(CC_SWITCHES) tkGeometry.c -o $@
$(ARCH)/tkGrab.o: tkGrab.c
	$(CC) -c $(CC_SWITCHES) tkGrab.c -o $@
$(ARCH)/tkMain.o: tkMain.c
	$(CC) -c $(CC_SWITCHES) tkMain.c -o $@
$(ARCH)/tkOption.o: tkOption.c
	$(CC) -c $(CC_SWITCHES) tkOption.c -o $@
$(ARCH)/tkPack.o: tkPack.c
	$(CC) -c $(CC_SWITCHES) tkPack.c -o $@
$(ARCH)/tkPlace.o: tkPlace.c
	$(CC) -c $(CC_SWITCHES) tkPlace.c -o $@
$(ARCH)/tkPreserve.o: tkPreserve.c
	$(CC) -c $(CC_SWITCHES) tkPreserve.c -o $@
$(ARCH)/tkSelect.o: tkSelect.c
	$(CC) -c $(CC_SWITCHES) tkSelect.c -o $@
$(ARCH)/tkSend.o: tkSend.c
	$(CC) -c $(CC_SWITCHES) tkSend.c -o $@
$(ARCH)/tkUnix.o: tkUnix.c
	$(CC) -c $(CC_SWITCHES) tkUnix.c -o $@
$(ARCH)/tkUtil.o: tkUtil.c
	$(CC) -c $(CC_SWITCHES) tkUtil.c -o $@
$(ARCH)/tkVisual.o: tkVisual.c
	$(CC) -c $(CC_SWITCHES) tkVisual.c -o $@
$(ARCH)/tkWindow.o: tkWindow.c
	$(CC) -c $(CC_SWITCHES) -DTCM tkWindow.c -o $@
$(ARCH)/tkWm.o: tkWm.c
	$(CC) -c $(CC_SWITCHES) tkWm.c -o $@
$(ARCH)/tkXEvent.o: tkXEvent.c
	$(CC) -c $(CC_SWITCHES) -DTCM tkXEvent.c -o $@
$(ARCH)/tkXId.o: tkXId.c
	$(CC) -c $(CC_SWITCHES) tkXId.c -o $@
$(ARCH)/tcmXProbe.o: tcmXProbe.c
	$(CC) -c $(CC_SWITCHES) tcmXProbe.c -o $@
$(ARCH)/heap.o: heap.c
	$(CC) -c $(CC_SWITCHES) heap.c -o $@

$(TK_OBJS) $(TKX_OBJS): $(DIRMADE)

$(DIRMADE):
	@if [ ! -d $(ARCH) ]; then $(MKDIR) $(ARCH); fi
	@-$(ECHO) $(DIRMADE) > $(DIRMADE)
