#ifndef HeapIncluded
#define HeapIncluded 1

typedef struct Heap {
    void **item;	/* The heap itself */
    int numItems;	/* Current size of heap (heap starts at 1) */
    int maxItems;	/* Amount of memory allocated for heap */
    int resizeInc;	/* Amount of extra memory to allocate when
   			 * heap is expanded */
    int (*cmpProc)();	/* The comparision procedure */
} Heap;

Heap *Heap_Alloc ();
void Heap_Free ();
void *Heap_Remove ();
void *Heap_Insert ();
void *Heap_Peek ();
int Heap_Size ();
int Heap_Find ();
void Heap_Delete ();
#endif
