#include "cmChunk.h"
#include <stdio.h>
#include <assert.h>
#include <assert.h>
#include <fcntl.h>
#include <unistd.h>

/*--------------------------------------------------------------*/

#define ERR(s)  {fprintf(stderr,"## ERROR: "); fprintf(stderr,s); \
		     putc('\n',stderr);}
#define DIEIF(c,s)	{if (c) {ERR(s); exit(1);}}
#define C_	,

#define BUF_SZ	1024

/*--------------------------------------------------------------*/

void
CopyInFile(char* fileName, int outFd)
{
    int		inFd;
    char	inBuf[BUF_SZ];
    long	cnt, wrt;
    
    if ((inFd = open(fileName,O_RDONLY,0)) == -1)
    {
	ERR("Could not open file '%s', skipped"C_ fileName);
	return;
    }
    while ((cnt = read(inFd,inBuf,BUF_SZ)) == BUF_SZ)
    {
	wrt = write(outFd,inBuf,cnt);
	assert(wrt == cnt);
    }
    if (cnt != 0)
    {
	wrt = write(outFd,inBuf,cnt);
	assert(wrt == cnt);
    }
    close(inFd);
}

/*--------------------------------------------------------------*/

void
Help (void)
{
    printf("Usage: [-o <outfile>] [[-type <string>] file]...\n");
    exit(0);
}

/*--------------------------------------------------------------*/

int
main (int argc, char* argv[])
{
    char*	outFile = "a.chunk";
    int		err, i;
    tChunk	cf = NULL;
    int32	typ = C_TYPE('C','H','N','K');
    
    if (argc == 1)
	Help();
    for (i = 1; i < argc; i++)
    {
	if (strcmp(argv[i],"-o") == 0)
	{
	    i++;
	    outFile = argv[i];
	    DIEIF(cf != NULL, "-o after file opened!");
	    continue;
	}
	else if (strcmp(argv[i],"-help") == 0)
	    Help();
	else if (strcmp(argv[i],"-h") == 0)
	    Help();
	else if (strcmp(argv[i],"-?") == 0)
	    Help();
	else if (strcmp(argv[i],"-type") == 0 ||
		 strcmp(argv[i],"-t") == 0)
	    typ = Chunk_Str2Type(argv[++i]);
	else
	{
	    if (cf == NULL)
	    {
		cf = Chunk_OpenFile(outFile,"cw");
		DIEIF(cf == NULL,"main: failed opening file!");
 	    }
	    err = Chunk_WriteHeader(cf,typ,argv[i]);
	    assert(err == 0);
	    CopyInFile(argv[i],cf->fd);
	}
    }
    err = Chunk_CloseFile(cf);
    assert(err == 0);
    return 0;
}
